

#ifndef _IDERDLL_HXX
#define _IDERDLL_HXX

class BasicIDEShell;
class BasicIDEData;

class BasicIDEDLL
{
	friend class BasicIDEShell;
	 BasicIDEShell*	pShell;
	BasicIDEData*	pExtraData;

public:
		BasicIDEDLL();
		~BasicIDEDLL();
	 BasicIDEShell*	GetShell() const { return pShell; }
	BasicIDEData*	GetExtraData();
	static void     Init();
	static void     Exit();
	static void     LibInit();
	static void     LibExit();
	static BasicIDEDLL* GetDLL();
};

#define IDE_DLL()   BasicIDEDLL::GetDLL()

#endif 
