

#ifndef _PROCESS_HXX
#define _PROCESS_HXX

#ifndef _VOS_PROCESS_HXX_
#include <vos/process.hxx>
#endif

class Process
{

	NAMESPACE_VOS(OArgumentList) *pArgumentList;
	NAMESPACE_VOS(OProcess) *pProcess;
	BOOL ImplIsRunning();
	long ImplGetExitCode();
	BOOL bWasGPF;
	BOOL bHasBeenStarted;

public:
	Process();
	~Process();

	void SetImage( const String &aAppPath, const String &aAppParams );
	BOOL Start();
	ULONG GetExitCode();
	BOOL IsRunning();
	BOOL WasGPF();
};

#endif
