

#ifndef _SB_SBDEF_HXX
#define _SB_SBDEF_HXX

#ifndef _SVARRAY_HXX
#include <svtools/svarray.hxx>
#endif

#if 0 // _SOLAR__PRIVATE
#define _BASIC_TEXTPORTIONS
#endif

enum SbTextType {					
	SB_KEYWORD = 1,					
	SB_SYMBOL,						
	SB_STRING,						
	SB_NUMBER,						
	SB_PUNCTUATION,					
	SB_COMMENT						
};

enum SbLanguageMode {				
	SB_LANG_GLOBAL,					
	SB_LANG_BASIC,					
	SB_LANG_VBSCRIPT,				
	SB_LANG_JAVASCRIPT				
};

#ifdef _BASIC_TEXTPORTIONS
struct SbTextPortion
{									
	xub_StrLen nLine;					
	xub_StrLen nStart, nEnd;			
	SbTextType eType;				
};

SV_DECL_VARARR(SbTextPortions, SbTextPortion,16,16)
#else
class SbTextPortions;
#endif

#define SbDEBUG_BREAK       0x0001          
#define SbDEBUG_STEPINTO    0x0002          
#define SbDEBUG_STEPOVER    0x0004          
#define	SbDEBUG_CONTINUE	0x0008			
#define SbDEBUG_STEPOUT		0x0010          

#define SBXID_BASIC			0x6273			
#define	SBXID_BASICMOD		0x6d62			
#define SBXID_BASICPROP		0x7262			
#define	SBXID_BASICMETHOD	0x6d65          
#define	SBXID_JSCRIPTMOD	0x6a62			
#define	SBXID_JSCRIPTMETH	0x6a64			

#define SBX_HINT_BASICSTART		SFX_HINT_USER04
#define SBX_HINT_BASICSTOP		SFX_HINT_USER05

#endif
