

#ifndef _SSTRING_HXX
#define _SSTRING_HXX

#include <tools/string.hxx>
#include <tools/list.hxx>

#define NOT_THERE		LIST_ENTRY_NOTFOUND

#define  SStringList SUniStringList 
#define  StringList UniStringList 

DECLARE_LIST( ByteStringList, ByteString* );
DECLARE_LIST( UniStringList, UniString* );

class SByteStringList : public ByteStringList
{
public:
	SByteStringList();
	~SByteStringList();

	ULONG		PutString( ByteString* );
	ByteString* 	RemoveString( const ByteString& rName );

	ULONG		IsString( ByteString* );

	ULONG		GetPrevString( ByteString* );
};

class SUniStringList : public UniStringList
{
public:
	SUniStringList();
	~SUniStringList();

	ULONG		PutString( UniString* );
	UniString* 	RemoveString( const UniString& rName );

	ULONG		IsString( UniString* );

	ULONG		GetPrevString( UniString* );
};

class Text
{
protected:
	String		aString;

public:
	Text( char* pChar );
	Text( String &rStr ) { aString = rStr; }
	void		Stderr();
};

#endif
