
#ifndef _VERMAP_HXX
#define _VERMAP_HXX

#include <tools/string.hxx>

class GenericInformationList;
class GenericInformation;

#define VM_ALL_DRIVES_MAPPED	0x0000
#define VM_MAPPING_ERROR		0x0001

#define VM_VERSION_VALID		0x0000
#define VM_VERSION_NOT_VALID	0x0001

class UPDVersionMapper
{
private:
	ByteString sVersion;
	ByteString sEnvironment;
	BOOL bL;

protected:
	virtual void PrintStatus( const char *cStatus );

public:
	UPDVersionMapper( ByteString &rVer, ByteString &rEnv, BOOL bMapL = FALSE );
	UPDVersionMapper( ByteString &rVer );
	int Execute();
};

#endif
