
#ifndef _CONNECTIVITY_SDBCX_IREFRESHABLE_HXX_
#define _CONNECTIVITY_SDBCX_IREFRESHABLE_HXX_

#ifndef _CONNECTIVITY_COMMONTOOLS_HXX_
#include "connectivity/CommonTools.hxx"
#endif

namespace connectivity
{
	namespace sdbcx
	{
		class SAL_NO_VTABLE IRefreshableGroups
		{
		public:
			virtual void refreshGroups() = 0;
		};

		class SAL_NO_VTABLE IRefreshableUsers
		{
		public:
			virtual void refreshUsers()	= 0;
		};

		class SAL_NO_VTABLE IRefreshableColumns
		{
		public:
			virtual void refreshColumns()	= 0;
		};
	}
}
#endif 

