

#ifndef _OFA_OFUNODEF_HXX
#define _OFA_OFUNODEF_HXX

#define FIELDTYPE_USER				 0  		
#define FIELDTYPE_FILE_NAME    		 1		
#define FIELDTYPE_DATABASE_NAME      2		
#define FIELDTYPE_DATE        		 3		
#define FIELDTYPE_TIME        		 4		
#define FIELDTYPE_PAGE_NUM    		 5		
#define	FIELDTYPE_AUTHOR      		 6		
#define	FIELDTYPE_CHAPTER    	 	 7		
#define	FIELDTYPE_DOC_STAT			 8		
#define	FIELDTYPE_GET_EXP		  	 9  		
#define	FIELDTYPE_SET_EXP    		 10  		
#define	FIELDTYPE_GET_REFERENCE	     11  		
#define	FIELDTYPE_HIDDEN_TEXT   	 12  		
#define	FIELDTYPE_NOTE      		 13  		
#define	FIELDTYPE_SET_REFERENCE      14  		
#define	FIELDTYPE_INPUT       		 15  		
#define	FIELDTYPE_MACRO       		 16  		
#define	FIELDTYPE_DDE        		 17  		
#define	FIELDTYPE_HIDDEN_PARA  		 18  		
#define	FIELDTYPE_DOC_INFO     		 19  		
#define	FIELDTYPE_TEMPLATE_NAME   	 20  		
#define	FIELDTYPE_USER_EXT     		 21  		
#define	FIELDTYPE_REF_PAGE_SET  	 22  		
#define	FIELDTYPE_REF_PAGE_GET  	 23  		
#define	FIELDTYPE_INTERNET    		 24  		
#define	FIELDTYPE_JUMP_EDIT    		 25  		
#define	FIELDTYPE_SCRIPT      		 26  		
#define	FIELDTYPE_DATE_TIME    		 27  		
#define	FIELDTYPE_DATABASE_NEXT_SET  28  		
#define	FIELDTYPE_DATABASE_NUM_SET   29  		
#define	FIELDTYPE_DATABASE_SET_NUM   30  		
#define FIELDTYPE_DATABASE			 31       	

#define	EXTUSERFIELD_GIVEN_NAME			0
#define	EXTUSERFIELD_SURNAME            1
#define	EXTUSERFIELD_INITIALS           2
#define	EXTUSERFIELD_COMPANY            3
#define	EXTUSERFIELD_STREET	            4
#define	EXTUSERFIELD_TITLE              5
#define	EXTUSERFIELD_POS                6
#define	EXTUSERFIELD_PHONE_PRIVATE	    7
#define	EXTUSERFIELD_PHONE_COMPANY      8
#define	EXTUSERFIELD_FAX                9
#define	EXTUSERFIELD_EMAIL		        10
#define	EXTUSERFIELD_COUNTRY		    11
#define	EXTUSERFIELD_ZIP                12
#define	EXTUSERFIELD_CITY		        13
#define	EXTUSERFIELD_STATE		        14

#define	STATISTIC_PAGE 			0
#define	STATISTIC_PARA          1
#define	STATISTIC_WORD          2
#define	STATISTIC_CHAR          3
#define	STATISTIC_TABLE         4
#define	STATISTIC_GRAPHIC       5
#define	STATISTIC_OBJECT	    6

#define	DOCINFO_TIME			0
#define	DOCINFO_DESC            1
#define	DOCINFO_REVISION 		2
#define	DOCINFO_CREATION        3
#define	DOCINFO_INFO0           4
#define	DOCINFO_INFO1           5
#define	DOCINFO_INFO2           6
#define	DOCINFO_INFO3           7
#define	DOCINFO_PRINT           8
#define	DOCINFO_KEYWORDS        9
#define	DOCINFO_TOPIC           10
#define	DOCINFO_TITLE           11
#define	DOCINFO_CHANGE          12

#define DOCINFOFORMAT_AUTHOR		0
#define DOCINFOFORMAT_TIME         	1
#define DOCINFOFORMAT_DATE         	2
#define DOCINFOFORMAT_COMPLETE     	3

#define USERFIELDFORMAT_SYSTEM		0
#define USERFIELDFORMAT_TEXT        1
#define USERFIELDFORMAT_NUM         2

#define LINESPACE_100 				0
#define LINESPACE_150      			1
#define LINESPACE_200      			2
#define LINESPACE_PROPORTIONAL  	3
#define LINESPACE_MINIMUM      		4
#define LINESPACE_LEADER     		5
#define LINESPACE_FIX      			6

#define TEXTCONTROLCHAR_PARAGRAPH_BREAK			0
#define TEXTCONTROLCHAR_LINE_BREAK              1
#define TEXTCONTROLCHAR_HARD_HYPHEN             2
#define TEXTCONTROLCHAR_SOFT_HYPHEN             3
#define TEXTCONTROLCHAR_HARD_SPACE              4

#endif

