
#ifndef _OFA_OPTHTML_HXX
#define _OFA_OPTHTML_HXX

#ifndef _BUTTON_HXX
#include <vcl/button.hxx>
#endif
#ifndef _FIELD_HXX
#include <vcl/field.hxx>
#endif
#ifndef _FIXED_HXX
#include <vcl/fixed.hxx>
#endif
#ifndef _VCL_LSTBOX_HXX
#include <vcl/lstbox.hxx>
#endif
#ifndef _GROUP_HXX
#include <vcl/group.hxx>
#endif
#ifndef _SFXTABDLG_HXX
#include <sfx2/tabdlg.hxx>
#endif
#ifndef _SVX_TXENCBOX_HXX
#include <svx/txencbox.hxx>
#endif

class OfaHtmlTabPage : public SfxTabPage
{
	FixedLine       aFontSizeGB;
	FixedText		aSize1FT;
	NumericField    aSize1NF;
	FixedText		aSize2FT;
	NumericField    aSize2NF;
	FixedText		aSize3FT;
	NumericField    aSize3NF;
	FixedText		aSize4FT;
	NumericField    aSize4NF;
	FixedText		aSize5FT;
	NumericField    aSize5NF;
	FixedText		aSize6FT;
	NumericField    aSize6NF;
	FixedText		aSize7FT;
	NumericField    aSize7NF;
	 FixedLine       aImportGB;
	CheckBox		aUnknownTagCB;
	CheckBox		aIgnoreFontNamesCB;
	 FixedLine       aExportGB;
	ListBox			aExportLB;
	CheckBox		aStarBasicCB;
	CheckBox		aStarBasicWarningCB;
	CheckBox		aPrintExtensionCB;
	CheckBox		aSaveGrfLocalCB;
	FixedText		aCharSetFT;
	SvxTextEncodingBox aCharSetLB;

	DECL_LINK(ExportHdl_Impl, ListBox*);
	DECL_LINK(CheckBoxHdl_Impl, CheckBox*);

	OfaHtmlTabPage(Window* pParent, const SfxItemSet& rSet);
	virtual ~OfaHtmlTabPage();
public:

	static SfxTabPage*	Create( Window* pParent,
					const SfxItemSet& rAttrSet );

	virtual	BOOL 		FillItemSet( SfxItemSet& rSet );
	virtual	void 		Reset( const SfxItemSet& rSet );

};

#endif 

