#ifndef UDK_GID_INC
#define UDK_GID_INC

/*
#define GID_FILE_LIB_SAL						gid_File_Lib_Sal
#define GID_SHORTCUT_LIB_SAL					gid_Shortcut_Lib_Sal
#define GID_FILE_LIB_STO                        gid_File_Lib_Sto
#define GID_SHORTCUT_LIB_STO                    gid_Shortcut_Lib_Sto
#define GID_FILE_LIB_REG                    	gid_File_Lib_Reg
#define GID_SHORTCUT_LIB_REG					gid_Shortcut_Lib_Reg
#define GID_FILE_LIB_CPPU                       gid_File_Lib_Cppu
#define GID_SHORTCUT_LIB_CPPU				 	gid_Shortcut_Lib_Cppu
#define GID_FILE_LIB_RMCXT                      gid_File_Lib_Rmcxt
#define GID_SHORTCUT_LIB_RMCXT                  gid_Shortcut_Lib_Rmcxt
#define GID_FILE_LIB_CPPUHELPER                	gid_File_Lib_Cppuhelper
#define GID_FILE_LIB_SALHELPER					gid_File_Lib_Salhelper

#define GID_FILE_LIB_COREFL                     gid_File_Lib_Corefl
#define GID_FILE_LIB_CPLD                       gid_File_Lib_Cpld
#define GID_FILE_LIB_DEFREG                     gid_File_Lib_Defreg
#define GID_FILE_LIB_IMPREG                     gid_File_Lib_Impreg
#define GID_FILE_LIB_INSP                       gid_File_Lib_Insp
#define GID_FILE_LIB_INV                        gid_File_Lib_Inv
#define GID_FILE_LIB_INVADP                     gid_File_Lib_Invadp
#define GID_FILE_LIB_JAVALOADER                 gid_File_Lib_Javaloader
#define GID_FILE_LIB_JEN                        gid_File_Lib_Jen
#define GID_FILE_LIB_NAMINGSERVICE              gid_File_Lib_Namingservice
#define GID_FILE_LIB_PROXYFAC                   gid_File_Lib_Proxyfac
#define GID_FILE_LIB_RDBTDP                     gid_File_Lib_Rdbtdp
#define GID_FILE_LIB_SIMREG                     gid_File_Lib_Simreg
#define GID_FILE_LIB_SMGR                       gid_File_Lib_Smgr
#define GID_FILE_LIB_TCV                        gid_File_Lib_Tcv
#define GID_FILE_LIB_TDMGR                      gid_File_Lib_Tdmgr

#define GID_FILE_LIB_MSCI_UNO                   gid_File_Lib_Msci_Uno
#define GID_FILE_LIB_JAVA_UNO                   gid_File_Lib_Java_Uno
#define GID_FILE_LIB_EGCS29_UNO                 gid_File_Lib_Egcs29_Uno 
#define GID_FILE_LIB_GCC2_UNO                   gid_File_Lib_Gcc2_Uno
#define GID_FILE_LIB_SUNPRO5_UNO                gid_File_Lib_Sunpro5_Uno 
#define GID_FILE_LIB_REMOTE_UNO                 gid_File_Lib_Remote_Uno
#define GID_FILE_LIB_IIOPBRDG                   gid_File_Lib_Iiopbrdg
#define GID_FILE_LIB_URP_UNO                    gid_File_Lib_Urp_Uno

#define GID_FILE_LIB_ACCEPTOR                   gid_File_Lib_Acceptor
#define GID_FILE_LIB_BRDGFCTR                   gid_File_Lib_Brdgfctr
#define GID_FILE_LIB_CONNECTR                   gid_File_Lib_Connectr 
#define GID_FILE_LIB_STM                        gid_File_Lib_Stm
#define GID_FILE_LIB_UURESOLVER                 gid_File_Lib_Uuresolver

#define GID_FILE_LIB_W9XUCWRP                   gid_File_Lib_W9xucwrp

#define GID_FILE_JAR_JAVA_UNO                   gid_File_Jar_Java_Uno
#define GID_FILE_JAR_SANDBOX                    gid_File_Jar_Sandbox
#define GID_FILE_JAR_JURT                       gid_File_Jar_Jurt
#define GID_FILE_JAR_JUT                        gid_File_Jar_Jut 
#define GID_FILE_JAR_JUH                        gid_File_Jar_Juh 
#define GID_FILE_JAR_RIDL                       gid_File_Jar_Ridl
*/

#define UDK_BASE	\
	gid_File_Lib_Sal,gid_File_Lib_Sto,gid_File_Lib_Reg,gid_File_Lib_Cppu,gid_File_Lib_Cppuhelper,	\
	gid_File_Lib_Salhelper,gid_File_Lib_Smgr,gid_File_Lib_Simreg,gid_File_Lib_Defreg,gid_File_Lib_Cpld, 	\
	gid_File_Lib_Impreg,gid_File_Lib_Rdbtdp,gid_File_Lib_Tdmgr,gid_File_Lib_W9xucwrp

#define UDK_BRIDGES	\
	gid_File_Lib_Msci_Uno,gid_File_Lib_Gcc2_Uno,gid_File_Lib_Sunpro5_Uno

#define UDK_JAVA	\
	gid_File_Lib_Java_Uno,gid_File_Lib_Javaloader,gid_File_Lib_Jen

#define UDK_PURE_JAVA	\
	gid_File_Jar_Java_Uno,gid_File_Jar_Sandbox,gid_File_Jar_Jurt,gid_File_Jar_Jut,	\
	gid_File_Jar_Juh,gid_File_Jar_Ridl
	
#define UDK_REMOTE 	\
	gid_File_Lib_Rmcxt,gid_File_Lib_Urp_Uno,gid_File_Lib_Iiopbrdg,	\
	gid_File_Lib_Acceptor,gid_File_Lib_Brdgfctr,gid_File_Lib_Connectr,gid_File_Lib_Uuresolver

#define UDK_COMPLETE	\
	gid_File_Lib_Namingservice,gid_File_Lib_Tcv,gid_File_Lib_Insp,gid_File_Lib_Corefl,	\
	gid_File_Lib_Inv,gid_File_Lib_Invadp,gid_File_Lib_Proxyfac,gid_File_Lib_Stm

#endif /* UDK_GID_INC */

