

#ifndef _IDENT_HXX
#define _IDENT_HXX

#ifndef _STRING_HXX
#include <tools/string.hxx>
#endif

class SiIdentifier
{
	ByteString	m_aByteString;

public:
	SiIdentifier()							  			{};
	SiIdentifier(ByteString const& s) 					{ m_aByteString = s; }
	SiIdentifier(SiIdentifier const& other)				{ *this = other; }

	BOOL operator == (SiIdentifier const& other) const	{ return m_aByteString == other.m_aByteString; }
	BOOL operator != (SiIdentifier const& other) const	{ return m_aByteString != other.m_aByteString; }

	ByteString const& AsByteString() const 					{ return m_aByteString; }
};

#endif 
