
#ifndef _SFX_APPUNO_HXX
#define _SFX_APPUNO_HXX

#ifndef _COM_SUN_STAR_FRAME_XFRAME_HPP_
#include <com/sun/star/frame/XFrame.hpp>
#endif

#ifndef _COM_SUN_STAR_FRAME_XFRAMELOADER_HPP_
#include <com/sun/star/frame/XFrameLoader.hpp>
#endif

#ifndef _COM_SUN_STAR_FRAME_XLOADEVENTLISTENER_HPP_
#include <com/sun/star/frame/XLoadEventListener.hpp>
#endif

#ifndef _COM_SUN_STAR_LANG_XMULTISERVICEFACTORY_HPP_
#include <com/sun/star/lang/XMultiServiceFactory.hpp>
#endif

#ifndef _COM_SUN_STAR_LANG_XSERVICEINFO_HPP_
#include <com/sun/star/lang/XServiceInfo.hpp>
#endif

#ifndef _COM_SUN_STAR_LANG_XTYPEPROVIDER_HPP_
#include <com/sun/star/lang/XTypeProvider.hpp>
#endif

#ifndef _COM_SUN_STAR_REGISTRY_XSIMPLEREGISTRY_HPP_
#include <com/sun/star/registry/XSimpleRegistry.hpp>
#endif

#ifndef _COM_SUN_STAR_BEANS_PROPERTYVALUE_HPP_
#include <com/sun/star/beans/PropertyValue.hpp>
#endif

#ifndef _COM_SUN_STAR_UTIL_URL_HPP_
#include <com/sun/star/util/URL.hpp>
#endif

#ifndef _COM_SUN_STAR_UNO_EXCEPTION_HPP_
#include <com/sun/star/uno/Exception.hpp>
#endif

#ifndef _COM_SUN_STAR_FRAME_XDISPATCHPROVIDER_HPP_
#include <com/sun/star/frame/XDispatchProvider.hpp>
#endif

#ifndef _COM_SUN_STAR_FRAME_DISPATCHDESCRIPTOR_HPP_
#include <com/sun/star/frame/DispatchDescriptor.hpp>
#endif

#ifndef _COM_SUN_STAR_LANG_XMULTISERVICEFACTORY_HPP_
#include <com/sun/star/lang/XMultiServiceFactory.hpp>
#endif

#ifndef _COM_SUN_STAR_UNO_ANY_H_
#include <com/sun/star/uno/Any.h>
#endif

#ifndef _COM_SUN_STAR_UNO_REFERENCE_H_
#include <com/sun/star/uno/Reference.h>
#endif

#ifndef _COM_SUN_STAR_UNO_SEQUENCE_HXX_
#include <com/sun/star/uno/Sequence.hxx>
#endif

#ifndef _CPPUHELPER_WEAK_HXX_
#include <cppuhelper/weak.hxx>
#endif

#ifndef _CPPUHELPER_IMPLBASE2_HXX_
#include <cppuhelper/implbase2.hxx>
#endif

#ifndef _ERRCODE_HXX
#include <tools/errcode.hxx>
#endif
#include <svtools/svarray.hxx>
#define _SVSTDARR_STRINGSDTOR
#include <svtools/svstdarr.hxx>
#include <sfx2/sfxuno.hxx>

struct SfxComponentKey_Impl
{
	::rtl::OUString		aImplName	;
	SvStringsDtor	aPatterns	;
	SvStringsDtor	aExtensions	;
	SvStringsDtor	aMimeTypes	;
};

typedef SfxComponentKey_Impl* SfxComponentKeyPtr_Impl;
SV_DECL_PTRARR_DEL( SfxComponentKeyArr_Impl, SfxComponentKeyPtr_Impl, 4, 4 );

class SfxComponentFactory	:	public ::com::sun::star::lang::XTypeProvider		,
					public ::com::sun::star::lang::XServiceInfo			,
					public ::com::sun::star::lang::XMultiServiceFactory	,
					public ::cppu::OWeakObject
{
	SfxComponentKeyArr_Impl			aKeyArr;
	::com::sun::star::uno::Reference< ::com::sun::star::registry::XSimpleRegistry > 	xRegistry;

	void Init_Impl();
	::com::sun::star::uno::Reference< ::com::sun::star::uno::XInterface > CreateInstance_Impl( const ::rtl::OUString& aURL, const ::com::sun::star::uno::Sequence< ::com::sun::star::beans::PropertyValue >* pArguments );

public:
	 SFX_DECL_XINTERFACE_XTYPEPROVIDER_XSERVICEINFO
	 SfxComponentFactory( const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XMultiServiceFactory >& xFactory );
	virtual ~SfxComponentFactory();
	 virtual ::com::sun::star::uno::Reference< ::com::sun::star::uno::XInterface > SAL_CALL createInstance(const ::rtl::OUString&) throw( ::com::sun::star::uno::Exception, ::com::sun::star::uno::RuntimeException );
	virtual ::com::sun::star::uno::Reference< ::com::sun::star::uno::XInterface > SAL_CALL createInstanceWithArguments(const ::rtl::OUString&, const ::com::sun::star::uno::Sequence< ::com::sun::star::uno::Any >& aArguments) throw( ::com::sun::star::uno::Exception, ::com::sun::star::uno::RuntimeException );
	virtual ::com::sun::star::uno::Sequence< ::rtl::OUString > SAL_CALL getAvailableServiceNames() throw( ::com::sun::star::uno::RuntimeException );
};

class SfxMacroLoader  :   public ::com::sun::star::frame::XFrameLoader,
				public ::com::sun::star::lang::XTypeProvider,
	                        public ::com::sun::star::lang::XServiceInfo,
				public ::cppu::OWeakObject
{
public:

	SFX_DECL_XINTERFACE_XTYPEPROVIDER_XSERVICEINFO
	 SfxMacroLoader( const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XMultiServiceFactory >& xFactory );
	virtual ~SfxMacroLoader();

	static ErrCode loadMacro( const ::rtl::OUString& aURL ) throw( ::com::sun::star::uno::RuntimeException );

	virtual void SAL_CALL load(const ::com::sun::star::uno::Reference< ::com::sun::star::frame::XFrame >& aFrame, const ::rtl::OUString& aURL,	const ::com::sun::star::uno::Sequence< ::com::sun::star::beans::PropertyValue >& aArgs,	const ::com::sun::star::uno::Reference< ::com::sun::star::frame::XLoadEventListener >& aListener) throw( ::com::sun::star::uno::RuntimeException );
	virtual void SAL_CALL cancel() throw( ::com::sun::star::uno::RuntimeException );
};

class SfxAppDispatchProvider : public ::cppu::WeakImplHelper2< ::com::sun::star::frame::XDispatchProvider, ::com::sun::star::lang::XServiceInfo >
{
public:
	                SfxAppDispatchProvider( const com::sun::star::uno::Reference < ::com::sun::star::lang::XMultiServiceFactory >& )
	                {}
	 SFX_DECL_XSERVICEINFO
	virtual ::com::sun::star::uno::Reference < ::com::sun::star::frame::XDispatch > SAL_CALL
	                queryDispatch( const ::com::sun::star::util::URL& aURL, const ::rtl::OUString& sTargetFrameName,
	                FrameSearchFlags eSearchFlags ) throw( ::com::sun::star::uno::RuntimeException ) ;
	virtual ::com::sun::star::uno::Sequence< ::com::sun::star::uno::Reference < ::com::sun::star::frame::XDispatch > > SAL_CALL
	                queryDispatches( const ::com::sun::star::uno::Sequence < ::com::sun::star::frame::DispatchDescriptor >& seqDescriptor )
	                    throw( ::com::sun::star::uno::RuntimeException ) ;
};

#endif
