
#ifndef _SFX_CHILDALIGN_HXX
#define _SFX_CHILDALIGN_HXX

#ifndef _SOLAR_H
#include <tools/solar.h>
#endif

enum SfxChildAlignment
{
	SFX_ALIGN_HIGHESTTOP,       
	SFX_ALIGN_LOWESTBOTTOM,
	SFX_ALIGN_FIRSTLEFT,
	SFX_ALIGN_LASTRIGHT,
	SFX_ALIGN_LEFT,				
	SFX_ALIGN_RIGHT,
	SFX_ALIGN_LASTLEFT,
	SFX_ALIGN_FIRSTRIGHT,
	SFX_ALIGN_TOP,				
	SFX_ALIGN_BOTTOM,			
	SFX_ALIGN_TOOLBOXTOP,		
	SFX_ALIGN_TOOLBOXBOTTOM,
	SFX_ALIGN_LOWESTTOP,		
	SFX_ALIGN_HIGHESTBOTTOM,    
	SFX_ALIGN_TOOLBOXLEFT,		
	SFX_ALIGN_TOOLBOXRIGHT,
	SFX_ALIGN_NOALIGNMENT		
};

inline BOOL SfxChildAlignValid( SfxChildAlignment eAlign )
{
	return ( eAlign >= SFX_ALIGN_HIGHESTTOP && eAlign <= SFX_ALIGN_NOALIGNMENT );
}

#endif
