
#ifndef _SFXMSGDESCR_HXX
#define _SFXMSGDESCR_HXX

#ifndef _BITMAP_HXX 
#include <vcl/bitmap.hxx>
#endif
#ifndef _RC_HXX 
#include <vcl/rc.hxx>
#endif

class SfxMessageDescription: public Resource
{
friend class SfxResourceManager;

	String	aFunctionName;
	String	aHelpText;
	String	aBasicName;
	Bitmap	aSmallBmp;
	Bitmap	aLargeBmp;

	const	SfxMessageDescription& operator=(const SfxMessageDescription&);
			SfxMessageDescription(const SfxMessageDescription&);

protected:
		SfxMessageDescription( USHORT nId );
		SfxMessageDescription( USHORT nId,
			const Bitmap &rLargeBmp, const Bitmap &rSmallBmp );

public:
	const String  &GetFunctionName() const { return aFunctionName; }
	const String  &GetHelpText() const { return aHelpText; }
	const String  &GetBasicName() const { return aBasicName; }
	const Bitmap  &GetLargeBitmap() const { return aLargeBmp; }
	const Bitmap  &GetSmallBitmap() const { return aSmallBmp; }
};

#endif

