
#ifndef _NEWSTYLE_HXX
#define _NEWSTYLE_HXX

#ifndef _SV_BUTTON_HXX
#include <vcl/button.hxx>
#endif
#ifndef _SV_MSGBOX_HXX
#include <vcl/msgbox.hxx>
#endif
#ifndef _SV_COMBOBOX_HXX
#include <vcl/combobox.hxx>
#endif
#ifndef _SV_DIALOG_HXX
#include <vcl/dialog.hxx>
#endif
#ifndef _SV_FIXED_HXX
#include <vcl/fixed.hxx>
#endif

class SfxStyleSheetBasePool;

class SfxNewStyleDlg : public ModalDialog
{
private:
	FixedLine				aColFL;
	ComboBox				aColBox;
	OKButton				aOKBtn;
	CancelButton			aCancelBtn;

	QueryBox				aQueryOverwriteBox;
	SfxStyleSheetBasePool&	rPool;

#if 0 // _SOLAR__PRIVATE
	DECL_LINK( 				OKHdl, Control * );
	DECL_LINK( 				ModifyHdl, ComboBox * );
#endif

public:
	SfxNewStyleDlg( Window* pParent, SfxStyleSheetBasePool& );
	~SfxNewStyleDlg();

	String 					GetName() const { return aColBox.GetText().EraseLeadingChars(); }
};

#endif

