

#ifndef _IPMENU_HXX
#define _IPMENU_HXX

#ifndef _MENU_HXX 
#include <vcl/menu.hxx>
#endif

class SvInPlaceMenuBar : public MenuBar
{
	USHORT nCount0, nCount1, nCount2;
	void        InsertItem( Menu & rFromMenu, USHORT nPos );
public:
	SvInPlaceMenuBar( const ResId & rId );
	SvInPlaceMenuBar( MenuBar * pBar,
					  USHORT nPos0 = 0, USHORT nCount0 = 0,
					  USHORT nPos1 = 0, USHORT nCount1 = 0,
					  USHORT nPos2 = 0, USHORT nCount2 = 0 );
	~SvInPlaceMenuBar();
	SvInPlaceMenuBar * GetBlocks( USHORT * p0, USHORT * p1, USHORT * p2 )
	{
		*p0 = nCount0;
		*p1 = nCount1;
		*p2 = nCount2;
		return this;
	}
	void        PushSelectHdl( const Link & rLink );
	void        PopSelectHdl();
	void        PushActivateHdl( const Link & rLink );
	void        PopActivateHdl();
	void        PushDeactivateHdl( const Link & rLink );
	void        PopDeactivateHdl();
	void        PushHighlightHdl( const Link & rLink );
	void        PopHighlightHdl();

	USHORT      GetCount0() const { return nCount0; }
	USHORT      GetCount1() const { return nCount1; }
	USHORT      GetCount2() const { return nCount2; }
};

#endif 
