

#ifndef _SOT_DATA_HXX
#define _SOT_DATA_HXX

#ifndef _TOOLS_SOLAR_H
#include <tools/solar.h>
#endif
#ifdef SOT_STRING_LIST
#ifndef _TOOLS_LIST_HXX
#include <tools/list.hxx>
#endif
class String;
DECLARE_LIST( StringList, String * );
#endif

class SotFactory;
class SotFactoryList;
class SotObjectList;
class SvDataTypeList;
class StringList;
struct SotData_Impl
{
	UINT32				nSvObjCount;
	SotObjectList *		pObjectList;
	SotFactoryList *	pFactoryList;
	SotFactory *		pSotObjectFactory;
	SotFactory *		pSotStorageStreamFactory;
	SotFactory *		pSotStorageFactory;
	List*				pDataFlavorList;
	SotData_Impl();
};

extern SotData_Impl* SOTDATA();

#endif
