
#ifndef _AEITEM_HXX
#define _AEITEM_HXX

#include <svtools/poolitem.hxx>
#include <svtools/eitem.hxx>

class SfxAllEnumValueArr;

class SfxAllEnumItem: public SfxEnumItem
{
	SfxAllEnumValueArr*		pValues;
#if SUPD<321
	void*					pDummy;
#endif

protected:
	USHORT					_GetPosByValue( USHORT nValue ) const;

public:
				SfxAllEnumItem( USHORT nWhich);
				SfxAllEnumItem( USHORT nWhich, USHORT nVal );
				SfxAllEnumItem( USHORT nWhich, USHORT nVal, const XubString &rText );
				SfxAllEnumItem( USHORT nWhich, SvStream &rStream );
				SfxAllEnumItem( const SfxAllEnumItem & );
				~SfxAllEnumItem();

	void                    InsertValue( USHORT nValue );
	void					InsertValue( USHORT nValue, const XubString &rText );
	void                    RemoveValue( USHORT nValue );
	void					RemoveAllValues();

	USHORT					GetPosByValue( USHORT nValue ) const;

	virtual USHORT			GetValueCount() const;
	virtual USHORT			GetValueByPos( USHORT nPos ) const;
	virtual XubString		GetValueTextByPos( USHORT nPos ) const;
	virtual SfxPoolItem*	Clone( SfxItemPool *pPool = 0 ) const;
	virtual SfxPoolItem*	Create(SvStream &, USHORT nVersion) const;
};

#endif
