
#ifndef _SVTOOLS_JAVAPTIONS_HXX
#define _SVTOOLS_JAVAOPTIONS_HXX

#ifndef _SAL_TYPES_H_
#include <sal/types.h>
#endif

#ifndef _UTL_CONFIGITEM_HXX_
#include <unotools/configitem.hxx>
#endif

struct SvtJavaOptions_Impl;
class SvtJavaOptions : utl::ConfigItem
{
	SvtJavaOptions_Impl* pImpl;
public:
	SvtJavaOptions();
	~SvtJavaOptions();
	 virtual void    Commit();
	 sal_Bool        IsEnabled() const;
	sal_Bool        IsSecurity()const;
	sal_Int32       GetNetAccess() const;
	rtl::OUString&  GetUserClassPath()const;
	sal_Bool        IsExecuteApplets() const;
	 void SetEnabled(sal_Bool bSet) ;
	void SetSecurity(sal_Bool bSet);
	void SetNetAccess(sal_Int32 nSet) ;
	void SetUserClassPath(const rtl::OUString& rSet);
	void SetExecuteApplets(sal_Bool bSet);
};

#endif 

