

#ifndef SVTOOLS_OUTSTRM_HXX
#define SVTOOLS_OUTSTRM_HXX

#ifndef _COM_SUN_STAR_UNO_REFERENCE_H_
#include <com/sun/star/uno/Reference.h>
#endif
#ifndef _STREAM_HXX
#include <tools/stream.hxx>
#endif

namespace com { namespace sun { namespace star { namespace io {
	class XOutputStream;
} } } }

class SvOutputStream: public SvStream
{
	com::sun::star::uno::Reference< com::sun::star::io::XOutputStream >
		m_xStream;

	virtual ULONG GetData(void *, ULONG);

	virtual ULONG PutData(void const * pData, ULONG nSize);

	virtual ULONG SeekPos(ULONG);

	virtual void FlushData();

	virtual void SetSize(ULONG);

public:
	SvOutputStream(com::sun::star::uno::Reference<
	           com::sun::star::io::XOutputStream > const &
	       rTheStream);

	virtual ~SvOutputStream();

	virtual USHORT IsA() const;
};

#endif 

