

#ifndef INCLUDED_SVTOOLS_PRINTWARNINGOPTIONS_HXX
#define INCLUDED_SVTOOLS_PRINTWARNINGOPTIONS_HXX

#ifndef _SAL_TYPES_H_
#include <sal/types.h>
#endif

#ifndef _OSL_MUTEX_HXX_
#include <osl/mutex.hxx>
#endif

#ifndef _RTL_USTRING_HXX_
#include <rtl/ustring.hxx>
#endif

class SvtPrintWarningOptions_Impl;

class SvtPrintWarningOptions
{
	 public:
	      SvtPrintWarningOptions();
	    ~SvtPrintWarningOptions();
	     sal_Bool    IsPaperSize() const;
	    sal_Bool    IsPaperOrientation() const;
	    sal_Bool    IsNotFound() const;
	    sal_Bool    IsTransparency() const;
	     void        SetPaperSize( sal_Bool bState );
	    void        SetPaperOrientation( sal_Bool bState );
	    void        SetNotFound( sal_Bool bState );
	    void        SetTransparency( sal_Bool bState );
	     static ::osl::Mutex& GetOwnStaticMutex();
	 private:
	     static SvtPrintWarningOptions_Impl* m_pDataContainer    ;   
	    static sal_Int32                    m_nRefCount         ;   

};      

#endif 
