

#ifndef SVTOOLS_TRESITEM_HXX
#define SVTOOLS_TRESITEM_HXX

#ifndef _COM_SUN_STAR_UCB_TRANSFERRESULT_HPP_
#include <com/sun/star/ucb/TransferResult.hpp>
#endif

#ifndef _SFXPOOLITEM_HXX
#include <svtools/poolitem.hxx>
#endif

class CntTransferResultItem: public SfxPoolItem
{
	com::sun::star::ucb::TransferResult m_aResult;

public:
	TYPEINFO();

	CntTransferResultItem(USHORT nWhich = 0): SfxPoolItem(nWhich) {}

	CntTransferResultItem(USHORT nWhich,
			  com::sun::star::ucb::TransferResult const &
			      rTheResult):
		SfxPoolItem(nWhich), m_aResult(rTheResult) {}

	virtual int operator ==(SfxPoolItem const & rItem) const;

	virtual BOOL QueryValue(com::sun::star::uno::Any & rVal, BYTE = 0) const;

	virtual BOOL PutValue(const com::sun::star::uno::Any & rVal, BYTE = 0);

	virtual SfxPoolItem * Clone(SfxItemPool * = 0) const;

	com::sun::star::ucb::TransferResult const & GetValue() const
	{ return m_aResult; }
};

#endif 

