

#ifndef _URLBMK_HXX
#define _URLBMK_HXX

#ifndef _STRING_HXX 
#include <tools/string.hxx>
#endif

class INetBookmark

{
	String			aUrl;
	String			aDescr;

protected:
	 void 			SetURL( const String& rS )			{ aUrl = rS; }
	void 			SetDescription( const String& rS )	{ aDescr = rS; }

public:
		INetBookmark( const String &rUrl, const String &rDescr )
			: aUrl( rUrl ), aDescr( rDescr )
		{}
		INetBookmark()
		{}

	const String&	GetURL() const 			{ return aUrl; }
	const String&	GetDescription() const	{ return aDescr; }
};

#endif

