
#ifndef _SFX_WHITER_HXX
#define _SFX_WHITER_HXX

#include <limits.h>

#ifndef _SOLAR_H
#include <tools/solar.h>
#endif

class SfxItemSet;

class SfxWhichIter
{
	const USHORT *pRanges, *pStart;
	USHORT nOfst, nFrom, nTo;
public:
	SfxWhichIter( const SfxItemSet& rSet, USHORT nFrom = 0, USHORT nTo = USHRT_MAX );
	~SfxWhichIter();

	USHORT  GetCurWhich() const { return *pRanges + nOfst; }
	USHORT  NextWhich();
	USHORT  PrevWhich();

	USHORT	FirstWhich();
	USHORT	LastWhich();
};

#endif
