
#ifndef INCLUDED_SVTOOLS_WORKINGSETOPTIONS_HXX
#define INCLUDED_SVTOOLS_WORKINGSETOPTIONS_HXX

#ifndef _SAL_TYPES_H_
#include <sal/types.h>
#endif

#ifndef _OSL_MUTEX_HXX_
#include <osl/mutex.hxx>
#endif

#ifndef _COM_SUN_STAR_UNO_SEQUENCE_H_
#include <com/sun/star/uno/Sequence.h>
#endif

#ifndef _RTL_USTRING_
#include <rtl/ustring>
#endif

class SvtWorkingSetOptions_Impl;

class SvtWorkingSetOptions
{

	public:
	      SvtWorkingSetOptions();
	    ~SvtWorkingSetOptions();

		::com::sun::star::uno::Sequence< ::rtl::OUString >	GetWindowList(																			) const	;
		void												SetWindowList( const ::com::sun::star::uno::Sequence< ::rtl::OUString >& seqWindowList	)		;

		static ::osl::Mutex& GetOwnStaticMutex();

	private:
	 	static SvtWorkingSetOptions_Impl*	m_pDataContainer	;	
		static sal_Int32					m_nRefCount			;	

};		

#endif	
