
#ifndef _SVX_CLIPFMTITEM_HXX
#define _SVX_CLIPFMTITEM_HXX

#ifndef _GEN_HXX
#include <tools/gen.hxx>
#endif
#ifndef _SFXPOOLITEM_HXX
#include <svtools/poolitem.hxx>
#endif

struct SvxClipboardFmtItem_Impl;

class SvxClipboardFmtItem : public SfxPoolItem
{
	SvxClipboardFmtItem_Impl* pImpl;
protected:

	virtual int 			 operator==( const SfxPoolItem& ) const;
	virtual SfxPoolItem*	 Clone( SfxItemPool *pPool = 0 ) const;

public:
	TYPEINFO();
	SvxClipboardFmtItem( USHORT nId );
	SvxClipboardFmtItem( const SvxClipboardFmtItem& );
	virtual ~SvxClipboardFmtItem();

	void AddClipbrdFormat( ULONG nId, USHORT nPos = USHRT_MAX );
	void AddClipbrdFormat( ULONG nId, const String& rName,
				USHORT nPos = USHRT_MAX );
	USHORT Count() const;

	ULONG GetClipbrdFormatId( USHORT nPos ) const;
	const String& GetClipbrdFormatName( USHORT nPos ) const;
};

#endif

