
#ifndef _SVX_FNTCTL_HXX
#define _SVX_FNTCTL_HXX

#ifndef _SFXMNUITEM_HXX 
#include <sfx2/mnuitem.hxx>
#endif
#ifndef _SFXLSTNER_HXX 
#include <svtools/lstner.hxx>
#endif

#ifdef ITEMID_FONT

class FontNameMenu;
class SfxBindings;

class SvxFontMenuControl : public SfxMenuControl, public SfxListener
{
private:
	FontNameMenu*	pMenu;
	Menu&			rParent;

#if 0 // _SOLAR__PRIVATE
	void			FillMenu();
	DECL_LINK( MenuSelect, FontNameMenu * );
	virtual void	StateChanged( USHORT nSID, SfxItemState eState,
					  const SfxPoolItem* pState );
	virtual void 	SFX_NOTIFY( SfxBroadcaster& rBC,
					const TypeId& rBCType,
					const SfxHint& rHint,
					const TypeId& rHintType );
#endif

public:
	SvxFontMenuControl( USHORT nId, Menu&, SfxBindings& );
	~SvxFontMenuControl();

	virtual PopupMenu*  GetPopup() const;

	SFX_DECL_MENU_CONTROL();
};

#endif

#endif

