

#ifndef SVX_FONTLB_HXX
#define	SVX_FONTLB_HXX

#ifndef _SVTABBX_HXX 
#include <svtools/svtabbx.hxx>
#endif

#ifndef _SV_VIRDEV_HXX 
#include <vcl/virdev.hxx>
#endif

class SvLBoxFontString : public SvLBoxString
{
	private:

	Font			aPrivatFont;

public:
		SvLBoxFontString( SvLBoxEntry*,USHORT nFlags,const XubString& rStr,
						const Font& aFont);
		SvLBoxFontString();
		~SvLBoxFontString();

	void			InitViewData( SvLBox*,SvLBoxEntry*,SvViewDataItem* );
	void			Paint( const Point&, SvLBox& rDev, USHORT nFlags,SvLBoxEntry* );
	SvLBoxItem* 	Create() const;
};

class SvxFontListBox : public SvTabListBox
{
	private:

		VirtualDevice	*pPrivatVDev;
		Font			aStandardFont;
		Font			aEntryFont;
		BOOL			bSettingFont;

	protected:

		virtual void	InitEntry(SvLBoxEntry*, const XubString&,const Image&,const Image&);

	public:

		SvxFontListBox(Window* pParent,const ResId& aResID);
		~SvxFontListBox();

		void	InsertFontEntry( const String& rString, Font aActorFont);

		void		SelectEntryPos( USHORT nPos, BOOL bSelect=TRUE);
		ULONG		GetSelectEntryPos();
		XubString	GetSelectEntry();
		void		SetNoSelection();

};

#endif
