
#ifndef _SVX_ITEMDATA_HXX
#define _SVX_ITEMDATA_HXX

#ifndef _SHL_HXX 
#include <tools/shl.hxx>
#endif
#ifndef _PSTM_HXX 
#include <tools/pstm.hxx>
#endif

class SvxGlobalItemData
{
private:
	SvClassManager*	pClassMgr;

public:
		SvxGlobalItemData();
		~SvxGlobalItemData() 	{ delete pClassMgr; }

	SvClassManager&	GetClassManager();
};

#define ITEMDATA() (*(SvxGlobalItemData**)GetAppData( SHL_ITEM ) )

inline SvxGlobalItemData::SvxGlobalItemData()
{
	pClassMgr = 0;
	*(SvxGlobalItemData**)GetAppData(SHL_ITEM) = this;
}

inline SvClassManager& SvxGlobalItemData::GetClassManager()
{
	if ( !pClassMgr )
		pClassMgr = new SvClassManager;
	return *pClassMgr;
}

#endif

