
#ifndef _SVX_LCOLITEM_HXX
#define _SVX_LCOLITEM_HXX

#ifndef _SVX_COLRITEM_HXX
#include <svx/colritem.hxx>
#endif
#ifndef _SVX_SVXIDS_HRC
#include <svx/svxids.hrc>
#endif

class SvxLineColorItem : public SvxColorItem
{
public:
	TYPEINFO();

	SvxLineColorItem( const USHORT nId = ITEMID_COLOR );
	SvxLineColorItem( const Color& aColor, const USHORT nId = ITEMID_COLOR );
	SvxLineColorItem( SvStream& rStrm, const USHORT nId = ITEMID_COLOR );
	SvxLineColorItem( const SvxLineColorItem& rCopy );
	~SvxLineColorItem();

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
						String &rText,
	                                const IntlWrapper * pIntlWrapper = 0 )
		const;

	inline SvxLineColorItem& operator=(const SvxLineColorItem& rColor)
		{ return (SvxLineColorItem&)SvxColorItem::
			operator=((const SvxColorItem&)rColor); }

};

#endif

