

#ifndef _SVX_MATRIX3D_HXX
#define _SVX_MATRIX3D_HXX

#ifndef _B3D_HMATRIX_HXX
#include <goodies/hmatrix.hxx>
#endif

#ifndef _SVX_VECTOR3D_HXX
#include <goodies/vector3d.hxx>
#endif

class Old_Matrix3D
{
protected:
	Vector3D					M[3];
	Vector3D					aTranslation;

 public:

	Old_Matrix3D() { M[0][0] = M[1][1] = M[2][2] = 1; }

	Vector3D& operator[](int nPos) { return M[nPos]; }
	const Vector3D& operator[](int nPos) const { return M[nPos]; }

	Vector3D GetColumnVector(int nCol) const
		{ return Vector3D(M[0][nCol], M[1][nCol], M[2][nCol]); }

	friend SvStream& operator>>(SvStream& rIStream, Old_Matrix3D&);
	friend SvStream& operator<<(SvStream& rOStream, const Old_Matrix3D&);

	operator Matrix4D();
	Old_Matrix3D operator=(const Matrix4D&);
};

#endif
