
#ifndef _SDANGITM_HXX
#define _SDANGITM_HXX

#ifndef _SFXINTITEM_HXX 
#include <svtools/intitem.hxx>
#endif

#if SUPD >= 351 && SUPD < 355
#define SDR_ISPOOLABLE
#endif

class SdrAngleItem: public SfxInt32Item {
public:
	TYPEINFO();
	SdrAngleItem(): SfxInt32Item() {}
	SdrAngleItem(USHORT nId, INT32 nAngle=0): SfxInt32Item(nId,nAngle) {}
	SdrAngleItem(USHORT nId, SvStream& rIn):  SfxInt32Item(nId,rIn) {}
	virtual SfxPoolItem* Clone(SfxItemPool* pPool=NULL) const;
	virtual SfxPoolItem* Create(SvStream& rIn, USHORT nVer) const;

	virtual SfxItemPresentation GetPresentation(SfxItemPresentation ePres,
									SfxMapUnit eCoreMetric,
									SfxMapUnit ePresMetric,
									String& rText,
	                                            const IntlWrapper *
	                                             pIntlWrapper = 0) const;

#ifdef SDR_ISPOOLABLE
	virtual int IsPoolable() const;
#endif
};

#endif
