

#ifndef _SDGCPITM_HXX
#define _SDGCPITM_HXX

#ifndef _SVX_GRFCROP_HXX
#include <svx/grfcrop.hxx>
#endif
#ifndef _SVDDEF_HXX
#include <svx/svddef.hxx>
#endif

class SdrGrafCropItem : public SvxGrfCrop
{
public:
					TYPEINFO();
					SdrGrafCropItem( sal_Int32 nLeftCrop = 0, sal_Int32 nTopCrop = 0,
								 sal_Int32 nRightCrop = 0, sal_Int32 nBottomCrop = 0,
								 USHORT nWhichId = SDRATTR_GRAFCROP ) :
					SvxGrfCrop( nLeftCrop, nRightCrop, nTopCrop, nBottomCrop, nWhichId ) {}

	virtual SfxPoolItem*	Clone( SfxItemPool* pPool = NULL ) const;
	virtual SfxPoolItem*	Create( SvStream& rIn, USHORT nVer ) const;
	virtual USHORT			GetVersion( USHORT nFileVersion ) const;
};

#endif 
