
#ifndef _SDSHCITM_HXX
#define _SDSHCITM_HXX

#ifndef _SVX_XCOLORITEM_HXX 
#include <svx/xcolit.hxx>
#endif

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

class SdrShadowColorItem: public XColorItem {
public:
	SdrShadowColorItem() {}
	SdrShadowColorItem(long nIndex, const Color& rTheColor):          XColorItem(SDRATTR_SHADOWCOLOR,nIndex,rTheColor) {}

	SdrShadowColorItem(const String& rName, const Color& rTheColor):  XColorItem(SDRATTR_SHADOWCOLOR,rName,rTheColor) {}

	SdrShadowColorItem(SvStream& rIn):                                XColorItem(SDRATTR_SHADOWCOLOR,rIn) {}
};

#endif
