
#ifndef _SDTADITM_HXX
#define _SDTADITM_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

enum SdrTextAniDirection {SDRTEXTANI_LEFT,
			  SDRTEXTANI_RIGHT,
			  SDRTEXTANI_UP,
			  SDRTEXTANI_DOWN};

class SdrTextAniDirectionItem: public SfxEnumItem {
public:
	TYPEINFO();
	SdrTextAniDirectionItem(SdrTextAniDirection eDir=SDRTEXTANI_LEFT): SfxEnumItem(SDRATTR_TEXT_ANIDIRECTION,eDir) {}
	SdrTextAniDirectionItem(SvStream& rIn)                           : SfxEnumItem(SDRATTR_TEXT_ANIDIRECTION,rIn)  {}
	virtual SfxPoolItem*   Clone(SfxItemPool* pPool=NULL) const;
	virtual SfxPoolItem*   Create(SvStream& rIn, USHORT nVer) const;
	virtual USHORT         GetValueCount() const; 
	SdrTextAniDirection GetValue() const      { return (SdrTextAniDirection)SfxEnumItem::GetValue(); }

	virtual	sal_Bool        	 QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool			 PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );

	virtual String  GetValueTextByPos(USHORT nPos) const;
	 virtual SfxItemPresentation GetPresentation(SfxItemPresentation ePres, SfxMapUnit eCoreMetric, SfxMapUnit ePresMetric, String& rText, const IntlWrapper * = 0) const;
};

#endif
