
#ifndef _SVX_SELCTRL_HXX
#define _SVX_SELCTRL_HXX

#ifndef _SFXSTBITEM_HXX 
#include <sfx2/stbitem.hxx>
#endif

class SvxSelectionModeControl : public SfxStatusBarControl
{
public:
	virtual void	StateChanged( USHORT nSID, SfxItemState eState,
					  const SfxPoolItem* pState );
	virtual void	Click();
	virtual void    Paint( const UserDrawEvent& rEvt );

	SFX_DECL_STATUSBAR_CONTROL();

	SvxSelectionModeControl( USHORT nId, StatusBar& rStb, SfxBindings& rBind );

	static	ULONG	GetDefItemWidth(const StatusBar& rStb);

private:
	USHORT	nState;

#ifdef _SVX_SELCTRL_CXX
	void	DrawItemText_Impl();
#endif
};

#endif

