

#ifndef _SVDOUTL_HXX
#define _SVDOUTL_HXX

#ifndef _OUTLINER_HXX 
#include <svx/outliner.hxx>
#endif

class SdrTextObj;

class SdrOutliner : public Outliner
{
protected:
	const SdrTextObj* pTextObj;

public:
	 SdrOutliner( SfxItemPool* pItemPool, USHORT nMode );
	virtual ~SdrOutliner() ;

	void  SetTextObj( const SdrTextObj* pObj );
	const SdrTextObj* GetTextObj() const { return pTextObj; }

	virtual String  CalcFieldValue(const SvxFieldItem& rField, USHORT nPara, USHORT nPos, Color*& rpTxtColor, Color*& rpFldColor);
};

#endif 

