
#ifndef _SXCIAITM_HXX
#define _SXCIAITM_HXX

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

#ifndef _SDANGITM_HXX
#include <svx/sdangitm.hxx>
#endif

class SdrCircStartAngleItem: public SdrAngleItem {
public:
	SdrCircStartAngleItem(long nAngle=0): SdrAngleItem(SDRATTR_CIRCSTARTANGLE,nAngle) {}
	SdrCircStartAngleItem(SvStream& rIn): SdrAngleItem(SDRATTR_CIRCSTARTANGLE,rIn)    {}
};

class SdrCircEndAngleItem: public SdrAngleItem {
public:
	SdrCircEndAngleItem(long nAngle=36000): SdrAngleItem(SDRATTR_CIRCENDANGLE,nAngle) {}
	SdrCircEndAngleItem(SvStream& rIn):     SdrAngleItem(SDRATTR_CIRCENDANGLE,rIn)    {}
};

#endif
