
#ifndef _SYLAYITM_HXX
#define _SYLAYITM_HXX

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

#ifndef _SFXSTRITEM_HXX 
#include <svtools/stritem.hxx>
#endif

#ifndef _SFXINTITEM_HXX 
#include <svtools/intitem.hxx>
#endif

#ifndef _SVDTYPES_HXX 
#include <svx/svdtypes.hxx>
#endif

class SdrLayerIdItem: public SfxUInt16Item {
public:
	SdrLayerIdItem(USHORT nId=0): SfxUInt16Item(SDRATTR_LAYERID,nId)  {}
	SdrLayerIdItem(SvStream& rIn): SfxUInt16Item(SDRATTR_LAYERID,rIn) {}
	SdrLayerID GetValue() const { return (SdrLayerID)SfxUInt16Item::GetValue(); }
};

class SdrLayerNameItem: public SfxStringItem {
public:
	SdrLayerNameItem()                   : SfxStringItem() { SetWhich(SDRATTR_LAYERNAME); }
	SdrLayerNameItem(const String& rStr) : SfxStringItem(SDRATTR_LAYERNAME,rStr) {}
	SdrLayerNameItem(SvStream& rIn)      : SfxStringItem(SDRATTR_LAYERNAME,rIn)  {}
};

#endif
