
#ifndef _TBXDRAW_HXX
#define _TBXDRAW_HXX

#ifndef _SFXTBXMGR_HXX 
#include <sfx2/tbxmgr.hxx>
#endif
#ifndef _SFXTBXCTRL_HXX 
#include <sfx2/tbxctrl.hxx>
#endif

class SvxPopupWindowTbxMgr : public SfxPopupWindow
{
	SfxToolBoxManager	aTbx;
	void*              	pNiemalsDenPointerAufDieErzeugendeToolBoxMerken; 
	ResId 				aRIdWinTemp;
	ResId				aRIdTbxTemp;

	Link				aTbxClickHdl;

	DECL_LINK( TbxSelectHdl, ToolBox*);
	DECL_LINK( TbxClickHdl, ToolBox*);

public:
	SvxPopupWindowTbxMgr( 	USHORT nId,
				SfxToolBoxControl* pTbxCtl,
				ResId aRIdWin,
				ResId aRIdTbx,
				SfxBindings& rBindings );
	SvxPopupWindowTbxMgr( 	USHORT nId,
				WindowAlign eAlign,
				ResId aRIdWin,
				ResId aRIdTbx,
				SfxBindings& rBindings );
	~SvxPopupWindowTbxMgr();
	 virtual void                StateChanged( USHORT nSID, SfxItemState eState,
								  const SfxPoolItem* pState);
	virtual SfxPopupWindow* 	Clone() const;
	virtual void 				PopupModeEnd();

	void 						StartSelection();
	inline SfxToolBoxManager& 	GetTbxMgr() { return aTbx; }
	 virtual void                UserEvent( ULONG nEvent, void* pEventData );
};

#endif		

