

#ifndef SVX_UNOSHTXT_HXX
#define SVX_UNOSHTXT_HXX

#ifndef _SVX_UNOEDSRC_HXX
#include <svx/unoedsrc.hxx>
#endif

class SvxTextForwarder;
class SdrObject;
class SvxTextEditSourceImpl;

class SvxTextEditSource : public SvxEditSource
{
public:
	SvxTextEditSource( SdrObject* pObj );
	virtual ~SvxTextEditSource();

	virtual SvxEditSource*		Clone() const;
	virtual SvxTextForwarder*	GetTextForwarder();
	virtual void				UpdateData();

	SdrObject* GetSdrObject() const;

	void lock();
	void unlock();

private:
	SvxTextEditSource( SvxTextEditSourceImpl* pImpl );

	SvxTextEditSourceImpl*	mpImpl;
};

#endif
