

#ifndef _SVX_XFLBOXY_HXX
#define _SVX_XFLBOXY_HXX

#ifndef _SFXINTITEM_HXX 
#include <svtools/intitem.hxx>
#endif

class XFillBmpPosOffsetXItem : public SfxUInt16Item
{
public:
				TYPEINFO();
				XFillBmpPosOffsetXItem( USHORT nOffPosX = 0 );
				XFillBmpPosOffsetXItem( SvStream& rIn );

	virtual SfxPoolItem*    Clone( SfxItemPool* pPool = 0 ) const;
	virtual SfxPoolItem*    Create( SvStream& rIn, USHORT nVer ) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;
};

class XFillBmpPosOffsetYItem : public SfxUInt16Item
{
public:
				TYPEINFO();
				XFillBmpPosOffsetYItem( USHORT nOffPosY = 0 );
				XFillBmpPosOffsetYItem( SvStream& rIn );

	virtual SfxPoolItem*    Clone( SfxItemPool* pPool = 0 ) const;
	virtual SfxPoolItem*    Create( SvStream& rIn, USHORT nVer ) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;
};

#endif
