

#ifndef _SVX_XLNSTWIT_HXX
#define _SVX_XLNSTWIT_HXX

#ifndef _SFXMETRICITEM_HXX 
#include <svtools/metitem.hxx>
#endif

#define	LINE_START_WIDTH_DEFAULT		(200)

class XLineStartWidthItem : public SfxMetricItem
{
public:
			TYPEINFO();
			XLineStartWidthItem(long nWidth = LINE_START_WIDTH_DEFAULT);
			XLineStartWidthItem(SvStream& rIn);
	virtual SfxPoolItem*    Clone(SfxItemPool* pPool = 0) const;
	virtual SfxPoolItem*    Create(SvStream& rIn, USHORT nVer) const;

	virtual	sal_Bool        	 QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool			 PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

};

#endif
