

#ifndef _TOOLKIT_HELPER_CONVERT_HXX_
#define _TOOLKIT_HELPER_CONVERT_HXX_

#ifndef _COM_SUN_STAR_AWT_RECTANGLE_HPP_
#include <com/sun/star/awt/Rectangle.hpp>
#endif

#ifndef _COM_SUN_STAR_AWT_SIZE_HPP_
#include <com/sun/star/awt/Size.hpp>
#endif

#include <tools/gen.hxx>

inline ::com::sun::star::awt::Size AWTSize( const Size& rVCLSize )
{
	return ::com::sun::star::awt::Size( rVCLSize.Width(), rVCLSize.Height() );
}

inline Size VCLSize( const ::com::sun::star::awt::Size& rAWTSize )
{
	return Size( rAWTSize.Width, rAWTSize.Height );
}

inline ::com::sun::star::awt::Rectangle AWTRectangle( const Rectangle& rVCLRect )
{
	return ::com::sun::star::awt::Rectangle( rVCLRect.Left(), rVCLRect.Top(), rVCLRect.GetWidth(), rVCLRect.GetHeight() );
}

inline Rectangle VCLRectangle( const ::com::sun::star::awt::Rectangle& rAWTRect )
{
	return Rectangle( rAWTRect.X, rAWTRect.Y, rAWTRect.X+rAWTRect.Width, rAWTRect.Y+rAWTRect.Height );
}

#endif	
