
#ifndef _R_TOOLS_PERSBCST_HXX
#define _R_TOOLS_PERSBCST_HXX

#include <tools/bcst.hxx>

class GenericInformation;
class GenericInformationList;
class InformationClient;

class PersistentInformationBroadcaster : public InformationBroadcaster
{
private:
	GenericInformationList *mpPersistentData;
	InformationClient *mpIClient;

protected:
	virtual void IMessageArrived( const BroadcastMessage &aMsg );

public:

	PersistentInformationBroadcaster( CommunicationManager *pManager = NULL, InformationClient *pIClient = NULL );
	virtual ~PersistentInformationBroadcaster();

	void Reconnect( InformationClient *pIClient = NULL );
	GenericInformation* GetPersistentData( BroadcastCategory nType );

	BOOL MakePersistent( const ByteString &aType );
	BOOL MakePersistent( BroadcastCategory nType );
};

#endif

