

#ifndef _SICLIENT_HXX
#define _SICLIENT_HXX

#ifndef _IICLIENT_HXX
#include <tools/iiclient.hxx>
#endif

class SvMemoryStream;
class InfoDataPack;
class GenericInformation;

class SimpleInformationClient : public InformationClient

{
public:
SimpleInformationClient( const ByteString &rInfoServerHost,
	 const ByteString &rRequest = ByteString(),
	 BOOL bRequestList = FALSE,
	 BOOL bRequestWholeList = FALSE );
~SimpleInformationClient();

  virtual const GenericInformation *Send_n_Wait();

  virtual BOOL Command_n_Wait();

private:

	BOOL Notify_Me( const ByteString &rFileName ){return FALSE;}
	BOOL Denotify_Me( const ByteString &rFileName ){return FALSE;}
	void SetNotifyHdl ( Link &rLink ) {;}
	const ByteString GetNotifyFile() const { return ByteString(); }

};

#endif
