

#ifndef _SV_CTRL_HXX
#define _SV_CTRL_HXX

#ifndef _LINK_HXX
#include <tools/link.hxx>
#endif

#ifndef _SV_SV_H
#include <vcl/sv.h>
#endif
#ifndef _SV_WINDOW_HXX
#include <vcl/window.hxx>
#endif

class Control : public Window
{
private:
	void*			mpDummy1;
	long			mnDummy1;
	BOOL			mbHasFocus;
	BOOL			mbDummy1;
	BOOL			mbDummy2;
	BOOL			mbDummy3;
	Link			maGetFocusHdl;
	Link			maLoseFocusHdl;

#ifdef _SV_CTRL_CXX
	void			ImplInitData();
#endif

protected:
		Control( WindowType nType );

public:
		Control( Window* pParent, WinBits nWinStyle = 0 );
		Control( Window* pParent, const ResId& rResId );

	virtual void	GetFocus();
	virtual void	LoseFocus();
	virtual long	Notify( NotifyEvent& rNEvt );

	void			SetGetFocusHdl( const Link& rLink ) { maGetFocusHdl = rLink; }
	const Link& 	GetGetFocusHdl() const	 { return maGetFocusHdl; }
	void			SetLoseFocusHdl( const Link& rLink ) { maLoseFocusHdl = rLink; }
	const Link& 	GetLoseFocusHdl() const { return maLoseFocusHdl; }
};

#endif	
