

#ifndef _SV_SALSTYPE_HXX
#define _SV_SALSTYPE_HXX

#ifndef _GEN_HXX
#include <tools/gen.hxx>
#endif

#define SOUND_PLAYALL			(0xFFFFFFFFUL)

#define SOUND_STATE_UNLOADED	(0x00000000UL)
#define SOUND_STATE_INVALID		(0x00000001UL)
#define	SOUND_STATE_VALID		(0x00000002UL)

enum SoundNotification 
{
	SOUND_NOTIFY_NOTHING, 
	SOUND_NOTIFY_SUCCESS,
	SOUND_NOTIFY_ABORTED,
	SOUND_NOTIFY_ERROR 
};

#define SOUNDERR_SUCCESS                (0x00000000UL)
#define SOUNDERR_GENERAL_ERROR          (0x00000001UL)
#define SOUNDERR_CANNOT_LOAD_DRIVER     (0x00000003UL)
#define SOUNDERR_DEVICE_LOCKED          (0x00000004UL)
#define SOUNDERR_SOUND_NOT_FOUND        (0x00000005UL)
#define SOUNDERR_HARDWARE_ERROR         (0x00000006UL)
#define SOUNDERR_OUT_OF_MEMORY          (0x00000007UL)
#define SOUNDERR_UNSUPPORTED_FUNCTION   (0x00000008UL)
#define SOUNDERR_DEVICE_NOT_FOUND       (0x00000009UL)
#define SOUNDERR_DEVICE_NOT_READY       (0x0000000aUL)
#define SOUNDERR_CANNOT_READ_SOUND      (0x0000000bUL)
#define SOUNDERR_INVALID_FILE           (0x0000000cUL)

typedef void (*SALSOUNDPROC)( void* pInst, SoundNotification eNotification, ULONG nError );

#endif 
