

#ifndef _SVX_XLINEIT0_HXX
#define _SVX_XLINEIT0_HXX

#ifndef _XENUM_HXX 
#include <svx/xenum.hxx>
#endif
#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif

class XLineStyleItem : public SfxEnumItem
{
public:
				TYPEINFO();
				XLineStyleItem(XLineStyle = XLINE_SOLID);
				XLineStyleItem(SvStream& rIn);
	virtual SfxPoolItem*    Clone(SfxItemPool* pPool = 0) const;
	virtual SfxPoolItem*    Create(SvStream& rIn, USHORT nVer) const;

	virtual	sal_Bool        	 QueryValue( com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 ) const;
	virtual	sal_Bool			 PutValue( const com::sun::star::uno::Any& rVal, BYTE nMemberId = 0 );

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;
	virtual USHORT          GetValueCount() const;
	XLineStyle				GetValue() const { return (XLineStyle) SfxEnumItem::GetValue(); }
};

#endif

