

#ifndef _XMLOFF_GRADIENTSTYLE_HXX
#define _XMLOFF_GRADIENTSTYLE_HXX

#ifndef _COM_SUN_STAR_XML_SAX_XDOCUMENTHANDLER_HPP_
#include <com/sun/star/xml/sax/XDocumentHandler.hpp>
#endif

#ifndef _XMLOFF_XMLTOKEN_HXX
#include <xmloff/xmltoken.hxx>
#endif

class SvXMLNamespaceMap;
class SvXMLAttributeList;
class SvXMLUnitConverter;

class XMLGradientStyle
{
public:
	XMLGradientStyle( const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XDocumentHandler > * _pHandler,
	              const SvXMLNamespaceMap& _rNamespaceMap, const SvXMLUnitConverter& _rUnitConverter );
	~XMLGradientStyle();

	sal_Bool exportXML( const ::rtl::OUString& rStrName, const ::com::sun::star::uno::Any& rValue );
	sal_Bool importXML( const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList >& xAttrList, ::com::sun::star::uno::Any& rValue, ::rtl::OUString& rStrName );

private:
	const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XDocumentHandler > * mpHandler;
	const SvXMLNamespaceMap&  mrNamespaceMap;
	const SvXMLUnitConverter& mrUnitConverter;

	SvXMLAttributeList *mpAttrList;

	sal_Bool ImpExportXML( const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XDocumentHandler > & rHandler,
	                 const SvXMLNamespaceMap& rNamespaceMap, const SvXMLUnitConverter& rUnitConverter, 
			   const ::rtl::OUString& rStrName, const ::com::sun::star::uno::Any& rValue );
	sal_Bool ImpImportXML( const SvXMLUnitConverter& rUnitConverter, 
			   const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList >& xAttrList, 
			   ::com::sun::star::uno::Any& rValue, ::rtl::OUString& rStrName );

	void AddAttribute( sal_uInt16 nPrefix, enum ::xmloff::token::XMLTokenEnum eName, const ::rtl::OUString& rStrValue );

};

#endif 
