

#ifndef _XMLOFF_XMLTEXTMASTERPAGEEXPORT_HXX
#define _XMLOFF_XMLTEXTMASTERPAGEEXPORT_HXX

#ifndef _RTL_USTRING_HXX_
#include <rtl/ustring.hxx>
#endif
#ifndef _XMLOFF_ATTRLIST_HXX
#include <xmloff/attrlist.hxx>
#endif

#ifndef _XMLOFF_XMLPAGEEXPORT_HXX
#include <xmloff/XMLPageExport.hxx>
#endif

namespace com { namespace sun { namespace star {
	namespace text { class XText; }
} } }

class XMLTextMasterPageExport : public XMLPageExport
{
	const ::rtl::OUString sHeaderText;
	const ::rtl::OUString sHeaderOn;
	const ::rtl::OUString sHeaderShareContent;
	const ::rtl::OUString sHeaderTextLeft;

	const ::rtl::OUString sFooterText;
	const ::rtl::OUString sFooterOn;
	const ::rtl::OUString sFooterShareContent;
	const ::rtl::OUString sFooterTextLeft;

protected:

	virtual void exportHeaderFooterContent(
			const ::com::sun::star::uno::Reference<
	::com::sun::star::text::XText >& rText,
	     sal_Bool bAutoStyles, sal_Bool bExportParagraph = sal_True );

	virtual void exportMasterPageContent(
	const ::com::sun::star::uno::Reference <
		::com::sun::star::beans::XPropertySet > & rPropSet,
	 sal_Bool bAutoStyles );

public:
	XMLTextMasterPageExport( SvXMLExport& rExp );
	~XMLTextMasterPageExport();
};

#endif	

