

#ifndef _XMLTEXTTABLECONTEXT_HXX
#define _XMLTEXTTABLECONTEXT_HXX

#ifndef _XMLOFF_XMLICTXT_HXX 
#include <xmloff/xmlictxt.hxx>
#endif

#ifndef _COM_SUN_STAR_UNO_REFERENCE_H_ 
#include <com/sun/star/uno/Reference.h>
#endif

namespace com { namespace sun { namespace star {
	namespace text { class XTextContent; }
} } }

#define XML_TEXT_FRAME_TEXTBOX 1
#define XML_TEXT_FRAME_GRAPHIC 2

class XMLTextTableContext : public SvXMLImportContext
{

public:

	TYPEINFO();

	XMLTextTableContext( SvXMLImport& rImport,
			sal_uInt16 nPrfx,
			const ::rtl::OUString& rLName );
	virtual ~XMLTextTableContext();

	virtual ::com::sun::star::uno::Reference <
			::com::sun::star::text::XTextContent > GetXTextContent() const = 0;
};

#endif
