

#ifndef _XMLOFF_XMLMETAI_HXX
#define _XMLOFF_XMLMETAI_HXX

#ifndef _XMLOFF_XMLICTXT_HXX
#include <xmloff/xmlictxt.hxx>
#endif

#ifndef _RTL_USTRBUF_HXX_
#include <rtl/ustrbuf.hxx>
#endif

#ifndef _COM_SUN_STAR_DOCUMENT_XDOCUMENTINFO_HPP_
#include <com/sun/star/document/XDocumentInfo.hpp>
#endif
#ifndef _COM_SUN_STAR_BEANS_XPROPERTYSET_HPP_
#include <com/sun/star/beans/XPropertySet.hpp>
#endif

class SvXMLTokenMap;

namespace com { namespace sun { namespace star { namespace lang {
	struct Locale;
}}}}
namespace com { namespace sun { namespace star { namespace frame {
	class XModel;
}}}}

class SfxXMLMetaContext : public SvXMLImportContext
{
private:
	::com::sun::star::uno::Reference<
		::com::sun::star::document::XDocumentInfo>	xDocInfo;
	::com::sun::star::uno::Reference<
		::com::sun::star::beans::XPropertySet>		xInfoProp;
	::com::sun::star::uno::Reference<
		::com::sun::star::beans::XPropertySet>		xDocProp;
	SvXMLTokenMap*									pTokenMap;
	sal_Int32										nUserKeys;
	::rtl::OUStringBuffer							sKeywords;

public:
	SfxXMLMetaContext( SvXMLImport& rImport, sal_uInt16 nPrfx,
			const ::rtl::OUString& rLName,
			const ::com::sun::star::uno::Reference<
				::com::sun::star::frame::XModel>& rDocModel );
	virtual ~SfxXMLMetaContext();

	virtual SvXMLImportContext *CreateChildContext( sal_uInt16 nPrefix,
	const ::rtl::OUString& rLocalName,
	const ::com::sun::star::uno::Reference<
		::com::sun::star::xml::sax::XAttributeList>& xAttrList );

	virtual void EndElement();

	const ::com::sun::star::uno::Reference<
		::com::sun::star::beans::XPropertySet>& GetInfoProp() const
			{ return xInfoProp; }
	const ::com::sun::star::uno::Reference<
		::com::sun::star::beans::XPropertySet>& GetDocProp() const
			{ return xDocProp; }

	void	AddKeyword( const ::rtl::OUString& rKW );
	void	AddUserField( const ::rtl::OUString& rName,
				const ::rtl::OUString& rContent );
};

#endif 

