

#ifndef _XMLOFF_XMLSCRIPTE_HXX
#define _XMLOFF_XMLSCRIPTE_HXX

#ifndef _COM_SUN_STAR_DOCUMENT_XDOCUMENTINFO_HPP_
#include <com/sun/star/document/XDocumentInfo.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XDOCUMENTHANDLER_HPP_
#include <com/sun/star/xml/sax/XDocumentHandler.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XATTRIBUTELIST_HPP_
#include <com/sun/star/xml/sax/XAttributeList.hpp>
#endif
#ifndef _COM_SUN_STAR_BEANS_XPROPERTYSET_HPP_
#include <com/sun/star/beans/XPropertySet.hpp>
#endif
#ifndef _COM_SUN_STAR_UTIL_DATETIME_HPP_
#include <com/sun/star/util/DateTime.hpp>
#endif
#ifndef _COM_SUN_STAR_LANG_LOCALE_HPP_
#include <com/sun/star/lang/Locale.hpp>
#endif

namespace com { namespace sun { namespace star { namespace frame {
	class XModel;
} } } }

namespace com { namespace sun { namespace star { namespace script {
	class XStarBasicLibraryInfo;
} } } }

class SvXMLExport;
class SvXMLNamespaceMap;
class SvXMLAttributeList;

class XMLBasicExport
{
private:
	SvXMLExport&										mrExp;
	const SvXMLNamespaceMap&							mrNamespaceMap;
	const ::com::sun::star::uno::Reference<
		::com::sun::star::xml::sax::XDocumentHandler>&	mxHandler;
	const ::com::sun::star::uno::Reference<
		::com::sun::star::xml::sax::XAttributeList>&	mxAttrList;
	SvXMLAttributeList&									mrAttrList;
	::rtl::OUString										msCDATA;
	::rtl::OUString										msWS;

	void implWriteModules( ::com::sun::star::uno::Reference< 
		::com::sun::star::script::XStarBasicLibraryInfo > xLibInfo );

public:
	XMLBasicExport( SvXMLExport& rExp );
	virtual ~XMLBasicExport();

	void Export();
};

#endif 

