

#ifndef _BASRDLL_HXX
#define _BASRDLL_HXX

class ResMgr;

#ifndef _SV_ACCEL_HXX 
#include <vcl/accel.hxx>
#endif

class BasicDLL
{
private:
	ResMgr*		pResMgr;
#if SUPD < 569
	Accelerator	aAcc;
#endif

	BOOL		bDebugMode;
	BOOL		bBreakEnabled;

public:
	BasicDLL();
	~BasicDLL();

	ResMgr*		GetResMgr() const { return pResMgr; }

	static void BasicBreak();

	static void	EnableBreak( BOOL bEnable );
	static void	SetDebugMode( BOOL bDebugMode );
};

#define BASIC_DLL() (*(BasicDLL**)GetAppData( SHL_BASIC ) )

#endif 
