

#ifndef _LISTMACR_HXX
#define _LISTMACR_HXX

#define DECL_DEST_LIST( TmpListType, ListType, PointerType )	\
DECLARE_LIST(TmpListType, PointerType);							\
class ListType : public TmpListType								\
{                                                           	\
public:															\
	void ClearAndDelete()                                       \
	{                                                       	\
		while ( Count()) {                                  	\
			PointerType pTmp = GetObject(( ULONG ) 0 );     	\
			delete pTmp;                                    	\
			Remove(( ULONG ) 0 );                           	\
		}                                                   	\
	}                                                       	\
	~ListType()                                             	\
	{                                                       	\
		ClearAndDelete();										\
	}                                                   		\
};																\

#endif

