

#ifndef _CONNECTIVITY_DATECONVERSION_HXX_
#define _CONNECTIVITY_DATECONVERSION_HXX_

#ifndef _COM_SUN_STAR_UTIL_DATE_HPP_
#include <com/sun/star/util/Date.hpp>
#endif
#ifndef _COM_SUN_STAR_UTIL_TIME_HPP_
#include <com/sun/star/util/Time.hpp>
#endif
#ifndef _COM_SUN_STAR_UTIL_DATETIME_HPP_
#include <com/sun/star/util/DateTime.hpp>
#endif

namespace connectivity
{
	class DateConversion
	{
	public:
		static sal_Int32 toINT32(const ::com::sun::star::util::Date& rVal)
		{
			OSL_ENSURE(0,"Please use DBConversion instead!");
			return 0;
		}
		static sal_Int32 toINT32(const ::com::sun::star::util::Time& rVal)
		{
			OSL_ENSURE(0,"Please use DBConversion instead!");
			return 0;
		}
		static sal_Int64 toINT64(const ::com::sun::star::util::DateTime& rVal)
		{
			OSL_ENSURE(0,"Please use DBConversion instead!");
			return 0;
		}
		static sal_Int32 getMsFromTime(const ::com::sun::star::util::Time& rVal)
		{
			OSL_ENSURE(0,"Please use DBConversion instead!");
			return 0;
		}
		static double    toDouble(const ::com::sun::star::util::Date& rVal)
		{
			OSL_ENSURE(0,"Please use DBConversion instead!");
			return 0;
		}
		static double    toDouble(const ::com::sun::star::util::Time& rVal)
		{
			OSL_ENSURE(0,"Please use DBConversion instead!");
			return 0;
		}
		static double    toDouble(const ::com::sun::star::util::DateTime& rVal)
		{
			OSL_ENSURE(0,"Please use DBConversion instead!");
			return 0;
		}
		static ::com::sun::star::util::Date          toDate(double dVal,const ::com::sun::star::util::Date& _rSTANDARD_DB_DATE=::com::sun::star::util::Date(01,01,1900))
		{
			OSL_ENSURE(0,"Please use DBConversion instead!");
			return ::com::sun::star::util::Date();
		}
		static ::com::sun::star::util::Time          toTime(double dVal)
		{
			OSL_ENSURE(0,"Please use DBConversion instead!");
			return ::com::sun::star::util::Time();
		}
		static ::com::sun::star::util::DateTime      toDateTime(double dVal,const ::com::sun::star::util::Date& _rSTANDARD_DB_DATE=::com::sun::star::util::Date(01,01,1900))
		{
			OSL_ENSURE(0,"Please use DBConversion instead!");
			return ::com::sun::star::util::DateTime();
		}
	};
}
#endif 

