
#ifndef _SBA_DBOBJENU_HXX
#define _SBA_DBOBJENU_HXX

enum DBDataOpen
{
	STATEMENT,
	NATIVE_STATEMENT,
	TABLE
};

enum DBErrorContext
{
	dbReadError = 0,
	dbWriteError,
	dbDeleteError,
	dbSyntaxError,
	dbRenameError,
	dbWarning
};

enum SbaFieldType		
{
	dbNone = 0,			
	dbText,				
	dbNumeric,			
	dbDateTime,			
	dbDate,				
	dbTime,				
	dbBool,				
	dbCurrency,			
	dbMemo,				
	dbCounter,			
	dbImage,			
	dbChar,				
	dbDecimal,			
	dbBinary,			
	dbVarBinary,		
	dbBigInt,			
	dbNULL				
};

enum SbaNumericSize
{
	dbSizeNone = 0,
	dbByte,
	dbInteger,
	dbLong,
	dbSingle,
	dbDouble
};

#endif

