
#ifndef _OFA_HTMLCFG_HXX
#define _OFA_HTMLCFG_HXX

#ifndef _UTL_CONFIGITEM_HXX_
#include <unotools/configitem.hxx>
#endif

#define HTML_FONT_COUNT 7

#define HTML_CFG_HTML32		0	
#define HTML_CFG_MSIE_40    1   
#define HTML_CFG_MSIE       HTML_CFG_MSIE_40
#define HTML_CFG_NS30       2	
#define HTML_CFG_WRITER     3	
#define HTML_CFG_NS40    	4	
#define HTML_CFG_MSIE_40_OLD 5   

#define HTML_CFG_MAX HTML_CFG_NS40

struct HtmlOptions_Impl;

class OfaHtmlOptions : public utl::ConfigItem
{
	HtmlOptions_Impl*pImp;
	const com::sun::star::uno::Sequence<rtl::OUString>& GetPropertyNames();

public:
		OfaHtmlOptions();
		~OfaHtmlOptions();

	virtual void			Commit();

	USHORT 		GetFontSize(USHORT nPos) const;
	void 		SetFontSize(USHORT nPos, USHORT nSize);

	BOOL		IsImportUnknown() const;
	void 		SetImportUnknown(BOOL bSet);

	USHORT 		GetExportMode() const;
	void		SetExportMode(USHORT nSet);

	BOOL 		IsStarBasic() const;
	void		SetStarBasic(BOOL bSet);

	BOOL 		IsStarBasicWarning() const;
	void		SetStarBasicWarning(BOOL bSet);

	BOOL 		IsSaveGraphicsLocal() const;
	void		SetSaveGraphicsLocal(BOOL bSet);

	BOOL 		IsPrintLayoutExtension() const;
	void		SetPrintLayoutExtension(BOOL bSet);

	BOOL		IsIgnoreFontFamily() const;
	void		SetIgnoreFontFamily(BOOL bSet);

	rtl_TextEncoding GetTextEncoding() const;
	void 		SetTextEncoding( rtl_TextEncoding );
};

#endif

