

#ifndef _RSCSFX_HXX
#define _RSCSFX_HXX

#define RSC_SFX_STYLE_FAMILIES     (0x100 + 0x201)
#define RSC_SFX_STYLE_FAMILY_ITEM  (0x100 + 0x202)
#define RSC_SFX_SLOT_INFO          (0x100 + 0x203)

enum SfxStyleFamily { SFX_STYLE_FAMILY_CHAR    = 1,
	                  SFX_STYLE_FAMILY_PARA    = 2,
	                  SFX_STYLE_FAMILY_FRAME   = 4,
	                  SFX_STYLE_FAMILY_PAGE    = 8,
	                  SFX_STYLE_FAMILY_PSEUDO  = 16,
	                  SFX_STYLE_FAMILY_ALL   = 0x7fff
	                  };

#define RSC_SFX_STYLE_ITEM_LIST         0x1
#define RSC_SFX_STYLE_ITEM_BITMAP       0x2
#define RSC_SFX_STYLE_ITEM_TEXT         0x4
#define RSC_SFX_STYLE_ITEM_HELPTEXT     0x8
#define RSC_SFX_STYLE_ITEM_STYLEFAMILY  0x10
#define RSC_SFX_STYLE_ITEM_IMAGE        0x20

#define RSC_SFX_SLOT_INFO_SLOTNAME      0x1
#define RSC_SFX_SLOT_INFO_HELPTEXT      0x2

#endif
