

#ifndef _AGENTPG_HXX
#define _AGENTPG_HXX

#include <limits.h>

#ifndef VCL
#ifndef _SVTAB_HXX
#include <svtab.hxx>
#endif
#else
#include <vcl/tabpage.hxx>
#endif

class SvAgentDlg;

#define PROP_NOTSET		0xFFFFFFFF

class SvAgentPage : public TabPage
{
	SvAgentDlg* 	m_pParent;
	USHORT			m_nId;
public:
		SvAgentPage( SvAgentDlg* pParent, const ResId& rResId );
		~SvAgentPage();

	SvAgentDlg*			GetAgentDlg() const 	{ return m_pParent; }
	USHORT				GetId() const 			{ return m_nId; }

	virtual BOOL		NotifyNext() const		{ return TRUE; }
	virtual BOOL 		NotifyBack() const		{ return TRUE; }

	virtual ULONG		GetProperty()			{ return PROP_NOTSET; }
	virtual void		InitProperty(ULONG nProp) {};

	virtual BOOL		AllowNext() 			{ return TRUE; }
	virtual USHORT 		GetReturnVal()			{ return USHRT_MAX; }
};

typedef SvAgentPage* (*CreateFnc)( SvAgentDlg* pParent, const ResId& rResId );

#endif 

