
#define ENABLE_BYTESTRING_STREAM_OPERATORS	1

#ifndef SETUP_SISTREAM_HXX
#define SETUP_SISTREAM_HXX

#ifndef _STREAM_HXX
#include <tools/stream.hxx>
#endif

class SiFileStream : public SvFileStream
{
protected:
	virtual ULONG GetData(char* pData,ULONG nSize);
	virtual ULONG PutData(const char* pData,ULONG nSize);

public:
		SiFileStream( const String& rFileName, StreamMode eOpenMode );
		SiFileStream();

	SiFileStream & operator << (char);
	SiFileStream & operator << (BYTE);
	SiFileStream & operator << (char const*);
	SiFileStream & operator << (ByteString const&);
	SiFileStream & operator << (long);
	SiFileStream & operator << (ULONG);
};

class SiAnsiFileStream : public SiFileStream
{
public:
	SiAnsiFileStream()
		{ SetStreamCharSet(RTL_TEXTENCODING_MS_1252); }
};

#endif 

