

#ifndef _MIECLIP_HXX
#define _MIECLIP_HXX

#ifndef _SOLAR_H
#include <tools/solar.h>
#endif

#ifndef _STRING_HXX 
#include <tools/string.hxx>
#endif

class SvStream;
class SotDataObject;
class SvData;

class MSE40HTMLClipFormatObj
{
	SvStream* pStrm;
	String sBaseURL;

public:
	MSE40HTMLClipFormatObj() : pStrm(0) 		{}
	~MSE40HTMLClipFormatObj();

	BOOL GetData( SotDataObject& );
	BOOL GetData( SvData& );

	SvStream* IsValid( SvStream& );

	const SvStream* GetStream() const 		{ return pStrm; }
	SvStream* GetStream()  			{ return pStrm; }
	const String& GetBaseURL() const		{ return sBaseURL; }
};

#endif 

