

#ifndef _SFXNAVI_HXX
#define _SFXNAVI_HXX

#include <sfx2/childwin.hxx>
#include <sfx2/dockwin.hxx>

class SfxNavigatorWrapper : public SfxChildWindow
{

public:
			SfxNavigatorWrapper( Window* pParent ,
									USHORT nId ,
									SfxBindings* pBindings ,
									SfxChildWinInfo* pInfo );
				SFX_DECL_CHILDWINDOW(SfxNavigatorWrapper);
};

class SfxNavigator : public SfxDockingWindow
{
	SfxChildWindow*		pWrapper;

public:
			SfxNavigator( SfxBindings* pBindings ,
				SfxChildWindow* pChildWin ,
				Window* pParent ,
				WinBits nBits );

	virtual void 		Resize();
	virtual void        Resizing( Size& rSize );
	virtual BOOL        Close();
};

#endif

