
#ifndef _SFX_OBJITEM_HXX
#define _SFX_OBJITEM_HXX

#ifndef _SFXPOOLITEM_HXX 
#include <svtools/poolitem.hxx>
#endif

#include <sfx2/shell.hxx>

class SfxObjectItem: public SfxPoolItem
{
	SfxShell*       		 _pSh;

public:
				 TYPEINFO();
	                         SfxObjectItem( USHORT nWhich=0, SfxShell *pSh=0 );

	virtual int 			 operator==( const SfxPoolItem& ) const;
	virtual SfxPoolItem*	 Clone( SfxItemPool *pPool = 0 ) const;
	 SfxShell*                GetShell() const
	                         { return _pSh; }
};

#endif

