
#ifndef _BINDING_HXX
#define _BINDING_HXX

#ifndef __RSC

#ifndef _SOLAR_H
#include <tools/solar.h>
#endif

typedef ULONG SvBindStatus;

typedef ULONG SvStatusCallbackType;
#define SVBSCF_FIRSTDATANOTIFICATION          0x01
#define SVBSCF_LASTDATANOTIFICATION           0x02
#define SVBSCF_INTERMEDIATEDATANOTIFICATION   0x03
#define SVBSCF_RELOADAVAILABLENOTIFICATION    0x04
#define SVBSCF_NEWPARTAVAILABLENOTIFICATION   0x08

typedef ULONG SvBindMode;
#define SVBIND_ASYNC             0x01
#define SVBIND_ASYNCSTORAGE      0x02
#define SVBIND_NEWESTVERSION     0x04
#define SVBIND_SUCCESSONERRORDOC 0x08

enum SvBindAction
{
	BINDACTION_GET    = 0,
	BINDACTION_POST   = 0x1,
	BINDACTION_PUT    = 0x2,
	BINDACTION_CUSTOM = 0x3
};

#endif 

#endif 
