

#ifndef _SOT_AGG_HXX
#define _SOT_AGG_HXX

#ifndef _TOOLS_OWNLIST_HXX
#include <tools/ownlist.hxx>
#endif

class SotFactory;
class SotObject;
struct SvAggregate
{
	union
	{
		SotFactory * pFact;
		SotObject *	pObj;
	};
	BOOL	bFactory;
	BOOL	bMainObj; 

	SvAggregate()
		: bFactory( FALSE )
		, bMainObj( FALSE )
		, pFact( NULL ) {}
	SvAggregate( SotObject * pObjP, BOOL bMainP )
		: bFactory( FALSE )
		, bMainObj( bMainP )
		, pObj( pObjP ) {}
	SvAggregate( SotFactory * pFactP )
		: bFactory( TRUE )
		, bMainObj( FALSE )
		, pFact( pFactP ) {}
};

class SvAggregateMemberList
{
	 PRV_SV_DECL_OWNER_LIST(SvAggregateMemberList,SvAggregate)
};

#endif 
