
#ifndef _SFXCNCLHINT_HXX
#define _SFXCNCLHINT_HXX

#ifndef _SFXHINT_HXX
#include <svtools/hint.hxx>
#endif

#ifndef _SFXCANCEL_HXX
#include <svtools/cancel.hxx>
#endif

#ifndef _RTTI_HXX
#include <tools/rtti.hxx>
#endif

#define SFXCANCELHINT_REMOVED		1

class SfxCancelHint: public SfxHint
{
private:
	SfxCancellable* pCancellable;
	USHORT			nAction;
public:
	TYPEINFO();
	SfxCancelHint( SfxCancellable*, USHORT nAction );
	USHORT GetAction() const { return nAction; }
	const SfxCancellable& GetCancellable() const { return *pCancellable; }
};

#endif
