
#ifndef INCLUDED_SVTOOLS_SAVEOPT_HXX
#define INCLUDED_SVTOOLS_SAVEOPT_HXX

#ifndef _UTL_CONFIGITEM_HXX_
#include <unotools/configitem.hxx>
#endif

struct SvtLoadSaveOptions_Impl;
class SvtSaveOptions
{
	SvtLoadSaveOptions_Impl*    pImp;

public:
	 enum SaveGraphicsMode
	{
	    SaveGraphicsNormal,
	    SaveGraphicsOriginal,
	    SaveGraphicsCompressed
	};
	                         SvtSaveOptions();
	                        ~SvtSaveOptions();
	 void                    SetAutoSaveTime( sal_Int32 n );
	sal_Int32               GetAutoSaveTime() const;
	void                    SetUseUserData( sal_Bool b );
	sal_Bool                IsUseUserData() const;
	void                    SetBackup( sal_Bool b );
	sal_Bool                IsBackup() const;
	void                    SetAutoSave( sal_Bool b );
	sal_Bool                IsAutoSave() const;
	void                    SetAutoSavePrompt( sal_Bool b );
	sal_Bool                IsAutoSavePrompt() const;
	void                    SetDocInfoSave(sal_Bool b);
	sal_Bool                IsDocInfoSave() const;
	void                    SetSaveGraphicsMode( SaveGraphicsMode eMode );
	SaveGraphicsMode        GetSaveGraphicsMode() const;
	void                    SetSaveWorkingSet( sal_Bool b );
	sal_Bool                IsSaveWorkingSet() const;
	void                    SetSaveDocWins( sal_Bool b );
	sal_Bool                IsSaveDocWins() const;
	void                    SetSaveDocView( sal_Bool b );
	sal_Bool                IsSaveDocView() const;
	void                    SetSaveRelINet( sal_Bool b );
	sal_Bool                IsSaveRelINet() const;
	void                    SetSaveRelFSys( sal_Bool b );
	sal_Bool                IsSaveRelFSys() const;
	void					SetSaveUnpacked( sal_Bool b );
	sal_Bool				IsSaveUnpacked() const;
	 void                    SetLoadUserSettings(sal_Bool b);
	sal_Bool                IsLoadUserSettings() const;
};

#endif

