

#ifndef __SBX_SBXMETHOD_HXX
#define __SBX_SBXMETHOD_HXX

#include <svtools/sbxvar.hxx>

class SbxMethod : public SbxVariable
{
public:
	SBX_DECL_PERSIST_NODATA(SBXCR_SBX,SBXID_METHOD,1);
	TYPEINFO();
	SbxMethod( const String& r, SbxDataType t )
	: SbxVariable( t ) { SetName( r ); }
	SbxMethod( const SbxMethod& r ) : SbxVariable( r ) {}
	SbxMethod& operator=( const SbxMethod& r )
	{ SbxVariable::operator=( r ); return *this; }
	BOOL Run( SbxValues* pValues = NULL );
	virtual SbxClassType GetClass() const;
};

#ifndef __SBX_SBXMETHODREF_HXX
#define __SBX_SBXMETHODREF_HXX

#ifndef SBX_METHOD_DECL_DEFINED
#define SBX_METHOD_DECL_DEFINED
SV_DECL_REF(SbxMethod)
#endif
SV_IMPL_REF(SbxMethod)

#endif
#endif

