

#ifndef _SBXMSTRM_HXX
#define _SBXMSTRM_HXX 1

#ifndef _STREAM_HXX 
#include <tools/stream.hxx>
#endif
#include <svtools/sbx.hxx>

SV_DECL_REF(SbxMemoryStream)

class SbxMemoryStream : public SbxBase, public SvMemoryStream
{
  public:
	SbxMemoryStream(ULONG nInitSize=512, ULONG nResize=64) :
		SvMemoryStream(nInitSize,nResize) {}
	~SbxMemoryStream();

	virtual SbxDataType  GetType()  const;
};

SV_IMPL_REF(SbxMemoryStream)

#endif
