

#ifndef __SBX_SBXPROPERTY_HXX
#define __SBX_SBXPROPERTY_HXX

#include <svtools/sbxvar.hxx>

class SbxProperty : public SbxVariable
{
public:
	SBX_DECL_PERSIST_NODATA(SBXCR_SBX,SBXID_PROPERTY,1);
	TYPEINFO();
	SbxProperty( const String& r, SbxDataType t )
	: SbxVariable( t ) { SetName( r ); }
	SbxProperty( const SbxProperty& r ) : SbxVariable( r ) {}
	SbxProperty& operator=( const SbxProperty& r )
	{ SbxVariable::operator=( r ); return *this; }
	virtual SbxClassType GetClass() const;
};

#ifndef __SBX_SBXPROPERTYREF_HXX
#define __SBX_SBXPROPERTYREF_HXX

#ifndef SBX_PROPERTY_DECL_DEFINED
#define SBX_PROPERTY_DECL_DEFINED
SV_DECL_REF(SbxProperty)
#endif
SV_IMPL_REF(SbxProperty)

#endif

#endif
