

#ifndef INCLUDED_SVTOOLS_SYSLOCALE_HXX
#define INCLUDED_SVTOOLS_SYSLOCALE_HXX

#ifndef _UNOTOOLS_LOCALEDATAWRAPPER_HXX
#include <unotools/localedatawrapper.hxx>
#endif
#ifndef _UNOTOOLS_CHARCLASS_HXX
#include <unotools/charclass.hxx>
#endif
#ifndef _SAL_TYPES_H_
#include <sal/types.h>
#endif

class SvtSysLocale_Impl;
namespace osl { class Mutex; }
class LocaleDataWrapper;

class SvtSysLocale
{
	friend class SvtSysLocale_Impl;     
	 static  SvtSysLocale_Impl*  pImpl;
	static  sal_Int32           nRefCount;
	 static  ::osl::Mutex&               GetMutex();

public:
	                                    SvtSysLocale();
	                                    ~SvtSysLocale();
	         const LocaleDataWrapper&    GetLocaleData() const;
	        const CharClass&            GetCharClass() const;
	         const LocaleDataWrapper*    GetLocaleDataPtr() const;
	        const CharClass*            GetCharClassPtr() const;

};

#endif  
