
#ifndef _SVX_ITEM_HXX
#define _SVX_ITEM_HXX

#ifndef _SFXENUMITEM_HXX 
#include <svtools/eitem.hxx>
#endif
#ifndef _SVX_SVXIDS_HRC
#include <svx/svxids.hrc>
#endif

class SvxContourItem : public SfxBoolItem
{
public:
	TYPEINFO();

	SvxContourItem( const BOOL bContoured = FALSE,
		const USHORT nId = ITEMID_CONTOUR );

	virtual SfxPoolItem*    Clone( SfxItemPool *pPool = 0 ) const;
	virtual SfxPoolItem*    Create(SvStream &, USHORT) const;
	virtual SvStream&		Store(SvStream &, USHORT nItemVersion) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

	inline SvxContourItem& operator=(const SvxContourItem& rCont)
	{
		SetValue(rCont.GetValue());
		return *this;
	}
};

#endif

