
#ifndef _SVX_CONNCTRL_HXX
#define _SVX_CONNCTRL_HXX

#ifndef _CTRL_HXX 
#include <vcl/ctrl.hxx>
#endif

class SfxItemSet;

class ExtOutputDevice;
class SdrEdgeObj;
class SdrView;
class SdrObjList;

class SvxXConnectionPreview : public Control
{
 friend class SvxConnectionPage;

private:
	const SfxItemSet&	rAttrs;
	ExtOutputDevice*	pExtOutDev;
	SdrEdgeObj*			pEdgeObj;
	SdrObjList*			pObjList;
	const SdrView*		pView;

public:
			SvxXConnectionPreview( Window* pParent, const ResId& rResId,
					const SfxItemSet& rInAttrs );
			~SvxXConnectionPreview();

	virtual void Paint( const Rectangle& rRect );
	virtual void MouseButtonDown( const MouseEvent& rMEvt );

	void		 SetAttributes( const SfxItemSet& rInAttrs );
	USHORT		 GetLineDeltaAnz();

	void 		 Construct();
	void		 SetView( const SdrView* pSdrView ) { pView = pSdrView; }
};

#endif 

