
#ifndef _SVX_DIALMGR_HXX
#define _SVX_DIALMGR_HXX

#ifndef _TOOLS_RESID_HXX 
#include <tools/resid.hxx>
#endif
#ifndef _SHL_HXX 
#include <tools/shl.hxx>
#endif

class ResMgr;
class GraphicFilter;

class GraphicFilter;

struct DialogsResMgr
{
	DialogsResMgr();
	~DialogsResMgr();

	ResMgr*		pResMgr;

	GraphicFilter* GetGrfFilter_Impl();

private:

	GraphicFilter* pGrapicFilter;
};

#define DIALOG_MGR()	(*(DialogsResMgr**)GetAppData(SHL_SVX))->pResMgr
#define SVX_RES(i)		ResId(i,DIALOG_MGR())
#define SVX_RESSTR(i)	UniString(ResId(i,DIALOG_MGR()))
#define SVX_RESSSTR(i)	String(ResId(i,DIALOG_MGR()))

#endif

