
#ifndef _SVX_FNTSZCTL_HXX
#define _SVX_FNTSZCTL_HXX

#ifndef _SFXMNUITEM_HXX 
#include <sfx2/mnuitem.hxx>
#endif

#ifdef ITEMID_FONTHEIGHT

class SfxBindings;
class FontSizeMenu;

class SvxFontSizeMenuControl : public SfxMenuControl
{
private:
	FontSizeMenu*	pMenu;
	Menu&			rParent;
	SfxStatusForwarder	aFontNameForwarder;

#if 0 // _SOLAR__PRIVATE
	DECL_LINK( MenuSelect, FontSizeMenu * );
#endif

protected:
	virtual void	StateChanged( USHORT nSID, SfxItemState eState,
					  const SfxPoolItem* pState );

public:
	SvxFontSizeMenuControl(	USHORT nId, Menu&, SfxBindings& );
	~SvxFontSizeMenuControl();

	virtual PopupMenu*  GetPopup() const;

	SFX_DECL_MENU_CONTROL();
};

#endif

#endif

