
#ifndef _SVX_LAYCTRL_HXX
#define _SVX_LAYCTRL_HXX

#ifndef _SFXTBXCTRL_HXX 
#include <sfx2/tbxctrl.hxx>
#endif

class SvxTableToolBoxControl : public SfxToolBoxControl
{
private:
	FASTBOOL	bEnabled;

public:
	virtual SfxPopupWindowType	GetPopupWindowType() const;
	virtual SfxPopupWindow* 	CreatePopupWindow();
	virtual SfxPopupWindow* 	CreatePopupWindowCascading();
	virtual void				StateChanged( USHORT nSID,
								  SfxItemState eState,
								  const SfxPoolItem* pState );

	SFX_DECL_TOOLBOX_CONTROL();

	SvxTableToolBoxControl( USHORT nId, ToolBox& rTbx, SfxBindings& rBind );
	~SvxTableToolBoxControl();
};

class SvxColumnsToolBoxControl : public SfxToolBoxControl
{
	FASTBOOL	bEnabled;
public:
	virtual SfxPopupWindowType	GetPopupWindowType() const;
	virtual SfxPopupWindow* 	CreatePopupWindow();
	virtual SfxPopupWindow* 	CreatePopupWindowCascading();

	SFX_DECL_TOOLBOX_CONTROL();

	SvxColumnsToolBoxControl( USHORT nId, ToolBox& rTbx, SfxBindings& rBind );
	~SvxColumnsToolBoxControl();

	virtual void				StateChanged( USHORT nSID,
								  SfxItemState eState,
								  const SfxPoolItem* pState );
};

#endif

