
#ifndef _SVX_MULTIFIL_HXX
#define _SVX_MULTIFIL_HXX

#ifndef _SVX_MULTIPAT_HXX
#include <svx/multipat.hxx>
#endif

class SvxMultiFileDialog : public SvxMultiPathDialog
{
private:
	DECL_LINK( AddHdl_Impl, PushButton * );
	DECL_LINK( DelHdl_Impl, PushButton * );

public:
#if (SUPD >= 535)
	SvxMultiFileDialog( Window* pParent, BOOL bEmptyAllowed = FALSE );
#else
	SvxMultiFileDialog( Window* pParent );
#endif
	~SvxMultiFileDialog();

	String	GetFiles() const { return SvxMultiPathDialog::GetPath(); }
	void	SetFiles( const String& rPath ) { SvxMultiPathDialog::SetPath(rPath); aDelBtn.Enable(); }
};

#endif

