
#ifndef _SVX_PASSWD_HXX
#define _SVX_PASSWD_HXX

#ifndef _BASEDLGS_HXX 
#include <sfx2/basedlgs.hxx>
#endif

#ifndef _FIXED_HXX 
#include <vcl/fixed.hxx>
#endif

#ifndef _EDIT_HXX 
#include <vcl/edit.hxx>
#endif

#ifndef _BUTTON_HXX 
#include <vcl/button.hxx>
#endif

class SvxPasswordDialog : public SfxModalDialog
{
private:
	FixedLine       aOldFL;
	FixedText		aOldPasswdFT;
	Edit			aOldPasswdED;
	FixedLine       aNewFL;
	FixedText		aNewPasswdFT;
	Edit			aNewPasswdED;
	FixedText		aRepeatPasswdFT;
	Edit			aRepeatPasswdED;
	OKButton		aOKBtn;
	CancelButton	aEscBtn;
	HelpButton		aHelpBtn;

	String			aOldPassword;
	String			aOldPasswdErrStr;
	String			aRepeatPasswdErrStr;

	FASTBOOL		bVerify;
	FASTBOOL		bEmpty;

#ifdef _SVX_PASSWD_CXX
	DECL_LINK( OKHdl_Impl, OKButton * );
	DECL_LINK( ModifyHdl_Impl, Edit * );
#endif

public:
		SvxPasswordDialog( Window* pParent,
						   FASTBOOL bAllowEmptyPasswords = FALSE );
		~SvxPasswordDialog();

	String			GetOldPassword() const { return aOldPasswdED.GetText(); }
	void			SetOldPassword( const String& rOld );
	String			GetNewPassword() const { return aNewPasswdED.GetText(); }
};

#endif

