

#ifndef _SVDDEF_HXX
#define _SVDDEF_HXX

#ifndef _XDEF_HXX
#include <svx/xdef.hxx>
#endif

#define SDRATTR_START               XATTR_START                    

#define SDRATTR_SHADOW_FIRST            (XATTR_END + 1)               
#define SDRATTR_SHADOW                  (SDRATTR_SHADOW_FIRST+ 0)    
#define SDRATTR_SHADOWCOLOR             (SDRATTR_SHADOW_FIRST+ 1)    
#define SDRATTR_SHADOWXDIST             (SDRATTR_SHADOW_FIRST+ 2)    
#define SDRATTR_SHADOWYDIST             (SDRATTR_SHADOW_FIRST+ 3)    
#define SDRATTR_SHADOWTRANSPARENCE      (SDRATTR_SHADOW_FIRST+ 4)     
#define SDRATTR_SHADOW3D                (SDRATTR_SHADOW_FIRST+ 5)     
#define SDRATTR_SHADOWPERSP             (SDRATTR_SHADOW_FIRST+ 6)     
#define SDRATTR_SHADOWRESERVE1          (SDRATTR_SHADOW_FIRST+ 7)     
#define SDRATTR_SHADOWRESERVE2          (SDRATTR_SHADOW_FIRST+ 8)     
#define SDRATTR_SHADOWRESERVE3          (SDRATTR_SHADOW_FIRST+ 9)     
#define SDRATTR_SHADOWRESERVE4          (SDRATTR_SHADOW_FIRST+10)     
#define SDRATTR_SHADOWRESERVE5          (SDRATTR_SHADOW_FIRST+11)     
#define SDRATTR_SHADOW_LAST             (SDRATTR_SHADOWRESERVE5)      
#define SDRATTRSET_SHADOW               (SDRATTR_SHADOW_LAST + 1)     

#define SDRATTR_CAPTION_FIRST           (SDRATTRSET_SHADOW + 1)       
#define SDRATTR_CAPTIONTYPE             (SDRATTR_CAPTION_FIRST+ 0)   
#define SDRATTR_CAPTIONFIXEDANGLE       (SDRATTR_CAPTION_FIRST+ 1)   
#define SDRATTR_CAPTIONANGLE            (SDRATTR_CAPTION_FIRST+ 2)   
#define SDRATTR_CAPTIONGAP              (SDRATTR_CAPTION_FIRST+ 3)   
#define SDRATTR_CAPTIONESCDIR           (SDRATTR_CAPTION_FIRST+ 4)   
#define SDRATTR_CAPTIONESCISREL         (SDRATTR_CAPTION_FIRST+ 5)   
#define SDRATTR_CAPTIONESCREL           (SDRATTR_CAPTION_FIRST+ 6)   
#define SDRATTR_CAPTIONESCABS           (SDRATTR_CAPTION_FIRST+ 7)   
#define SDRATTR_CAPTIONLINELEN          (SDRATTR_CAPTION_FIRST+ 8)   
#define SDRATTR_CAPTIONFITLINELEN       (SDRATTR_CAPTION_FIRST+ 9)   
#define SDRATTR_CAPTIONRESERVE1         (SDRATTR_CAPTION_FIRST+10)    
#define SDRATTR_CAPTIONRESERVE2         (SDRATTR_CAPTION_FIRST+11)    
#define SDRATTR_CAPTIONRESERVE3         (SDRATTR_CAPTION_FIRST+12)    
#define SDRATTR_CAPTIONRESERVE4         (SDRATTR_CAPTION_FIRST+13)    
#define SDRATTR_CAPTIONRESERVE5         (SDRATTR_CAPTION_FIRST+14)    
#define SDRATTR_CAPTION_LAST            (SDRATTR_CAPTIONRESERVE5)     
#define SDRATTRSET_CAPTION              (SDRATTR_CAPTION_LAST + 1)    

#define SDRATTRSET_OUTLINER             (SDRATTRSET_CAPTION + 1)      

#define SDRATTR_MISC_FIRST              (SDRATTRSET_OUTLINER + 1)     
#define SDRATTR_ECKENRADIUS             (SDRATTR_MISC_FIRST + 0)     
#define SDRATTR_TEXT_MINFRAMEHEIGHT     (SDRATTR_MISC_FIRST + 1)     
#define SDRATTR_TEXT_AUTOGROWHEIGHT     (SDRATTR_MISC_FIRST + 2)     
#define SDRATTR_TEXT_FITTOSIZE          (SDRATTR_MISC_FIRST + 3)     
#define SDRATTR_TEXT_LEFTDIST           (SDRATTR_MISC_FIRST + 4)      
#define SDRATTR_TEXT_RIGHTDIST          (SDRATTR_MISC_FIRST + 5)      
#define SDRATTR_TEXT_UPPERDIST          (SDRATTR_MISC_FIRST + 6)      
#define SDRATTR_TEXT_LOWERDIST          (SDRATTR_MISC_FIRST + 7)      
#define SDRATTR_TEXT_VERTADJUST         (SDRATTR_MISC_FIRST + 8)      
#define SDRATTR_TEXT_MAXFRAMEHEIGHT     (SDRATTR_MISC_FIRST + 9)     
#define SDRATTR_TEXT_MINFRAMEWIDTH      (SDRATTR_MISC_FIRST +10)     
#define SDRATTR_TEXT_MAXFRAMEWIDTH      (SDRATTR_MISC_FIRST +11)     
#define SDRATTR_TEXT_AUTOGROWWIDTH      (SDRATTR_MISC_FIRST +12)     
#define SDRATTR_TEXT_HORZADJUST         (SDRATTR_MISC_FIRST +13)      
#define SDRATTR_TEXT_ANIKIND            (SDRATTR_MISC_FIRST +14)     
#define SDRATTR_TEXT_ANIDIRECTION       (SDRATTR_MISC_FIRST +15)     
#define SDRATTR_TEXT_ANISTARTINSIDE     (SDRATTR_MISC_FIRST +16)     
#define SDRATTR_TEXT_ANISTOPINSIDE      (SDRATTR_MISC_FIRST +17)     
#define SDRATTR_TEXT_ANICOUNT           (SDRATTR_MISC_FIRST +18)     
#define SDRATTR_TEXT_ANIDELAY           (SDRATTR_MISC_FIRST +19)     
#define SDRATTR_TEXT_ANIAMOUNT          (SDRATTR_MISC_FIRST +20)     
#define SDRATTR_TEXT_CONTOURFRAME       (SDRATTR_MISC_FIRST +21)                  
#define SDRATTR_AUTOSHAPE_ADJUSTMENT	(SDRATTR_MISC_FIRST +22)                  
#define SDRATTR_RESERVE14               (SDRATTR_MISC_FIRST +23)                  
#define SDRATTR_RESERVE15               (SDRATTR_MISC_FIRST +24)                  
#define SDRATTR_RESERVE16               (SDRATTR_MISC_FIRST +25)                  
#define SDRATTR_RESERVE17               (SDRATTR_MISC_FIRST +26)                  
#define SDRATTR_RESERVE18               (SDRATTR_MISC_FIRST +27)                  
#define SDRATTR_RESERVE19               (SDRATTR_MISC_FIRST +28)                  
#define SDRATTR_MISC_LAST               (SDRATTR_RESERVE19)           
#define SDRATTRSET_MISC                 (SDRATTR_MISC_LAST + 1)       

#define SDRATTR_EDGE_FIRST              (SDRATTRSET_MISC + 1)       
#define SDRATTR_EDGEKIND                (SDRATTR_EDGE_FIRST + 0)    
#define SDRATTR_EDGENODE1HORZDIST       (SDRATTR_EDGE_FIRST + 1)    
#define SDRATTR_EDGENODE1VERTDIST       (SDRATTR_EDGE_FIRST + 2)    
#define SDRATTR_EDGENODE2HORZDIST       (SDRATTR_EDGE_FIRST + 3)    
#define SDRATTR_EDGENODE2VERTDIST       (SDRATTR_EDGE_FIRST + 4)    
#define SDRATTR_EDGENODE1GLUEDIST       (SDRATTR_EDGE_FIRST + 5)    
#define SDRATTR_EDGENODE2GLUEDIST       (SDRATTR_EDGE_FIRST + 6)    
#define SDRATTR_EDGELINEDELTAANZ        (SDRATTR_EDGE_FIRST + 7)    
#define SDRATTR_EDGELINE1DELTA          (SDRATTR_EDGE_FIRST + 8)    
#define SDRATTR_EDGELINE2DELTA          (SDRATTR_EDGE_FIRST + 9)    
#define SDRATTR_EDGELINE3DELTA          (SDRATTR_EDGE_FIRST +10)    
#define SDRATTR_EDGERESERVE02           (SDRATTR_EDGE_FIRST +11)    
#define SDRATTR_EDGERESERVE03           (SDRATTR_EDGE_FIRST +12)    
#define SDRATTR_EDGERESERVE04           (SDRATTR_EDGE_FIRST +13)    
#define SDRATTR_EDGERESERVE05           (SDRATTR_EDGE_FIRST +14)    
#define SDRATTR_EDGERESERVE06           (SDRATTR_EDGE_FIRST +15)    
#define SDRATTR_EDGERESERVE07           (SDRATTR_EDGE_FIRST +16)    
#define SDRATTR_EDGERESERVE08           (SDRATTR_EDGE_FIRST +17)    
#define SDRATTR_EDGERESERVE09           (SDRATTR_EDGE_FIRST +18)    
#define SDRATTR_EDGE_LAST               (SDRATTR_EDGERESERVE09)     
#define SDRATTRSET_EDGE                 (SDRATTR_EDGE_LAST + 1)     

#define SDRATTR_MEASURE_FIRST            (SDRATTRSET_EDGE + 1)       
#define SDRATTR_MEASUREKIND              (SDRATTR_MEASURE_FIRST+ 0)  
#define SDRATTR_MEASURETEXTHPOS          (SDRATTR_MEASURE_FIRST+ 1)  
#define SDRATTR_MEASURETEXTVPOS          (SDRATTR_MEASURE_FIRST+ 2)  
#define SDRATTR_MEASURELINEDIST          (SDRATTR_MEASURE_FIRST+ 3)  
#define SDRATTR_MEASUREHELPLINEOVERHANG  (SDRATTR_MEASURE_FIRST+ 4)  
#define SDRATTR_MEASUREHELPLINEDIST      (SDRATTR_MEASURE_FIRST+ 5)  
#define SDRATTR_MEASUREHELPLINE1LEN      (SDRATTR_MEASURE_FIRST+ 6)  
#define SDRATTR_MEASUREHELPLINE2LEN      (SDRATTR_MEASURE_FIRST+ 7)  
#define SDRATTR_MEASUREBELOWREFEDGE      (SDRATTR_MEASURE_FIRST+ 8)  
#define SDRATTR_MEASURETEXTROTA90        (SDRATTR_MEASURE_FIRST+ 9)  
#define SDRATTR_MEASURETEXTUPSIDEDOWN    (SDRATTR_MEASURE_FIRST+10)  
#define SDRATTR_MEASUREOVERHANG          (SDRATTR_MEASURE_FIRST+11)  
#define SDRATTR_MEASUREUNIT              (SDRATTR_MEASURE_FIRST+12)  
#define SDRATTR_MEASURESCALE             (SDRATTR_MEASURE_FIRST+13)  
#define SDRATTR_MEASURESHOWUNIT          (SDRATTR_MEASURE_FIRST+14)  
#define SDRATTR_MEASUREFORMATSTRING      (SDRATTR_MEASURE_FIRST+15)  
#define SDRATTR_MEASURETEXTAUTOANGLE     (SDRATTR_MEASURE_FIRST+16)  
#define SDRATTR_MEASURETEXTAUTOANGLEVIEW (SDRATTR_MEASURE_FIRST+17)  
#define SDRATTR_MEASURETEXTISFIXEDANGLE  (SDRATTR_MEASURE_FIRST+18)  
#define SDRATTR_MEASURETEXTFIXEDANGLE    (SDRATTR_MEASURE_FIRST+19)  
#define SDRATTR_MEASURERESERVE04         (SDRATTR_MEASURE_FIRST+20)  
#define SDRATTR_MEASURERESERVE05         (SDRATTR_MEASURE_FIRST+21)  
#define SDRATTR_MEASURERESERVE06         (SDRATTR_MEASURE_FIRST+22)  
#define SDRATTR_MEASURERESERVE07         (SDRATTR_MEASURE_FIRST+23)  
#define SDRATTR_MEASURE_LAST             (SDRATTR_MEASURERESERVE07)  
#define SDRATTRSET_MEASURE               (SDRATTR_MEASURE_LAST + 1)  

#define SDRATTR_CIRC_FIRST              (SDRATTRSET_MEASURE+ 1)     
#define SDRATTR_CIRCKIND                (SDRATTR_CIRC_FIRST+ 0)     
#define SDRATTR_CIRCSTARTANGLE          (SDRATTR_CIRC_FIRST+ 1)     
#define SDRATTR_CIRCENDANGLE            (SDRATTR_CIRC_FIRST+ 2)     
#define SDRATTR_CIRCRESERVE0            (SDRATTR_CIRC_FIRST+ 3)     
#define SDRATTR_CIRCRESERVE1            (SDRATTR_CIRC_FIRST+ 4)     
#define SDRATTR_CIRCRESERVE2            (SDRATTR_CIRC_FIRST+ 5)     
#define SDRATTR_CIRCRESERVE3            (SDRATTR_CIRC_FIRST+ 6)     
#define SDRATTR_CIRC_LAST               (SDRATTR_CIRCRESERVE3)      
#define SDRATTRSET_CIRC                 (SDRATTR_CIRC_LAST + 1)     

#define SDRATTR_NOTPERSIST_FIRST    (SDRATTRSET_CIRC + 1)              
#define SDRATTR_OBJMOVEPROTECT      (SDRATTR_NOTPERSIST_FIRST+ 0)  
#define SDRATTR_OBJSIZEPROTECT      (SDRATTR_NOTPERSIST_FIRST+ 1)  
#define SDRATTR_OBJPRINTABLE        (SDRATTR_NOTPERSIST_FIRST+ 2)  
#define SDRATTR_LAYERID             (SDRATTR_NOTPERSIST_FIRST+ 3)  
#define SDRATTR_LAYERNAME           (SDRATTR_NOTPERSIST_FIRST+ 4)  
#define SDRATTR_OBJECTNAME          (SDRATTR_NOTPERSIST_FIRST+ 5)  
#define SDRATTR_ALLPOSITIONX        (SDRATTR_NOTPERSIST_FIRST+ 6)  
#define SDRATTR_ALLPOSITIONY        (SDRATTR_NOTPERSIST_FIRST+ 7)  
#define SDRATTR_ALLSIZEWIDTH        (SDRATTR_NOTPERSIST_FIRST+ 8)  
#define SDRATTR_ALLSIZEHEIGHT       (SDRATTR_NOTPERSIST_FIRST+ 9)  
#define SDRATTR_ONEPOSITIONX        (SDRATTR_NOTPERSIST_FIRST+10)  
#define SDRATTR_ONEPOSITIONY        (SDRATTR_NOTPERSIST_FIRST+11)  
#define SDRATTR_ONESIZEWIDTH        (SDRATTR_NOTPERSIST_FIRST+12)  
#define SDRATTR_ONESIZEHEIGHT       (SDRATTR_NOTPERSIST_FIRST+13)  
#define SDRATTR_LOGICSIZEWIDTH      (SDRATTR_NOTPERSIST_FIRST+14)  
#define SDRATTR_LOGICSIZEHEIGHT     (SDRATTR_NOTPERSIST_FIRST+15)  
#define SDRATTR_ROTATEANGLE         (SDRATTR_NOTPERSIST_FIRST+16)  
#define SDRATTR_SHEARANGLE          (SDRATTR_NOTPERSIST_FIRST+17)  
#define SDRATTR_MOVEX               (SDRATTR_NOTPERSIST_FIRST+18)  
#define SDRATTR_MOVEY               (SDRATTR_NOTPERSIST_FIRST+19)  
#define SDRATTR_RESIZEXONE          (SDRATTR_NOTPERSIST_FIRST+20)  
#define SDRATTR_RESIZEYONE          (SDRATTR_NOTPERSIST_FIRST+21)  
#define SDRATTR_ROTATEONE           (SDRATTR_NOTPERSIST_FIRST+22)  
#define SDRATTR_HORZSHEARONE        (SDRATTR_NOTPERSIST_FIRST+23)  
#define SDRATTR_VERTSHEARONE        (SDRATTR_NOTPERSIST_FIRST+24)  
#define SDRATTR_RESIZEXALL          (SDRATTR_NOTPERSIST_FIRST+25)  
#define SDRATTR_RESIZEYALL          (SDRATTR_NOTPERSIST_FIRST+26)  
#define SDRATTR_ROTATEALL           (SDRATTR_NOTPERSIST_FIRST+27)  
#define SDRATTR_HORZSHEARALL        (SDRATTR_NOTPERSIST_FIRST+28)  
#define SDRATTR_VERTSHEARALL        (SDRATTR_NOTPERSIST_FIRST+29)  
#define SDRATTR_TRANSFORMREF1X      (SDRATTR_NOTPERSIST_FIRST+30)  
#define SDRATTR_TRANSFORMREF1Y      (SDRATTR_NOTPERSIST_FIRST+31)  
#define SDRATTR_TRANSFORMREF2X      (SDRATTR_NOTPERSIST_FIRST+32)  
#define SDRATTR_TRANSFORMREF2Y      (SDRATTR_NOTPERSIST_FIRST+33)  
#define SDRATTR_TEXTDIRECTION_LEFT_TO_RIGHT	(SDRATTR_NOTPERSIST_FIRST+34)  
#define SDRATTR_TEXTDIRECTION_TOP_TO_BOTTOM	(SDRATTR_NOTPERSIST_FIRST+35)  
#define SDRATTR_NOTPERSISTRESERVE3	(SDRATTR_NOTPERSIST_FIRST+36)  
#define SDRATTR_NOTPERSISTRESERVE4	(SDRATTR_NOTPERSIST_FIRST+37)  
#define SDRATTR_NOTPERSISTRESERVE5	(SDRATTR_NOTPERSIST_FIRST+38)  
#define SDRATTR_NOTPERSISTRESERVE6	(SDRATTR_NOTPERSIST_FIRST+39)  
#define SDRATTR_NOTPERSISTRESERVE7	(SDRATTR_NOTPERSIST_FIRST+40)  
#define SDRATTR_NOTPERSISTRESERVE8	(SDRATTR_NOTPERSIST_FIRST+41)  
#define SDRATTR_NOTPERSISTRESERVE9	(SDRATTR_NOTPERSIST_FIRST+42)  
#define SDRATTR_NOTPERSISTRESERVE10	(SDRATTR_NOTPERSIST_FIRST+43)  
#define SDRATTR_NOTPERSISTRESERVE11	(SDRATTR_NOTPERSIST_FIRST+44)  
#define SDRATTR_NOTPERSISTRESERVE12	(SDRATTR_NOTPERSIST_FIRST+45)  
#define SDRATTR_NOTPERSISTRESERVE13	(SDRATTR_NOTPERSIST_FIRST+46)  
#define SDRATTR_NOTPERSISTRESERVE14	(SDRATTR_NOTPERSIST_FIRST+47)  
#define SDRATTR_NOTPERSISTRESERVE15	(SDRATTR_NOTPERSIST_FIRST+48)  
#define SDRATTR_NOTPERSIST_LAST     (SDRATTR_NOTPERSISTRESERVE15)   	   

#define SDRATTR_GRAF_FIRST			(SDRATTR_NOTPERSIST_LAST+1)		
#define SDRATTR_GRAFRED             (SDRATTR_GRAF_FIRST+0)			
#define SDRATTR_GRAFGREEN			(SDRATTR_GRAF_FIRST+1)			
#define SDRATTR_GRAFBLUE			(SDRATTR_GRAF_FIRST+2)			
#define SDRATTR_GRAFLUMINANCE       (SDRATTR_GRAF_FIRST+3)			
#define SDRATTR_GRAFCONTRAST		(SDRATTR_GRAF_FIRST+4)			
#define SDRATTR_GRAFGAMMA			(SDRATTR_GRAF_FIRST+5)			
#define SDRATTR_GRAFTRANSPARENCE	(SDRATTR_GRAF_FIRST+6)			
#define SDRATTR_GRAFINVERT			(SDRATTR_GRAF_FIRST+7)			
#define SDRATTR_GRAFMODE			(SDRATTR_GRAF_FIRST+8)			
#define SDRATTR_GRAFCROP			(SDRATTR_GRAF_FIRST+9)			
#define SDRATTR_GRAFRESERVE3		(SDRATTR_GRAF_FIRST+10)			
#define SDRATTR_GRAFRESERVE4		(SDRATTR_GRAF_FIRST+11)			
#define SDRATTR_GRAFRESERVE5		(SDRATTR_GRAF_FIRST+12)			
#define SDRATTR_GRAFRESERVE6		(SDRATTR_GRAF_FIRST+13)			
#define SDRATTR_GRAF_LAST           (SDRATTR_GRAFRESERVE6)			
#define SDRATTRSET_GRAF             (SDRATTR_GRAF_LAST+1)			

#define	SDRATTR_3D_FIRST						(SDRATTRSET_GRAF + 1)		

#define	SDRATTR_3DOBJ_FIRST						(SDRATTR_3D_FIRST)			
#define	SDRATTR_3DOBJ_PERCENT_DIAGONAL			(SDRATTR_3DOBJ_FIRST + 0)	
#define	SDRATTR_3DOBJ_BACKSCALE					(SDRATTR_3DOBJ_FIRST + 1)	
#define	SDRATTR_3DOBJ_DEPTH						(SDRATTR_3DOBJ_FIRST + 2)	
#define	SDRATTR_3DOBJ_HORZ_SEGS					(SDRATTR_3DOBJ_FIRST + 3)	
#define	SDRATTR_3DOBJ_VERT_SEGS					(SDRATTR_3DOBJ_FIRST + 4)	
#define	SDRATTR_3DOBJ_END_ANGLE					(SDRATTR_3DOBJ_FIRST + 5)	
#define	SDRATTR_3DOBJ_DOUBLE_SIDED				(SDRATTR_3DOBJ_FIRST + 6)	
#define	SDRATTR_3DOBJ_NORMALS_KIND				(SDRATTR_3DOBJ_FIRST + 7)	
#define	SDRATTR_3DOBJ_NORMALS_INVERT			(SDRATTR_3DOBJ_FIRST + 8)	
#define	SDRATTR_3DOBJ_TEXTURE_PROJ_X			(SDRATTR_3DOBJ_FIRST + 9)	
#define	SDRATTR_3DOBJ_TEXTURE_PROJ_Y			(SDRATTR_3DOBJ_FIRST + 10)	
#define	SDRATTR_3DOBJ_SHADOW_3D					(SDRATTR_3DOBJ_FIRST + 11)	
#define	SDRATTR_3DOBJ_MAT_COLOR					(SDRATTR_3DOBJ_FIRST + 12)	
#define	SDRATTR_3DOBJ_MAT_EMISSION				(SDRATTR_3DOBJ_FIRST + 13)	
#define	SDRATTR_3DOBJ_MAT_SPECULAR				(SDRATTR_3DOBJ_FIRST + 14)	
#define	SDRATTR_3DOBJ_MAT_SPECULAR_INTENSITY	(SDRATTR_3DOBJ_FIRST + 15)	
#define	SDRATTR_3DOBJ_TEXTURE_KIND				(SDRATTR_3DOBJ_FIRST + 16)	
#define	SDRATTR_3DOBJ_TEXTURE_MODE				(SDRATTR_3DOBJ_FIRST + 17)	
#define	SDRATTR_3DOBJ_TEXTURE_FILTER			(SDRATTR_3DOBJ_FIRST + 18)	
#define	SDRATTR_3DOBJ_RESERVED_01				(SDRATTR_3DOBJ_FIRST + 19)	
#define	SDRATTR_3DOBJ_RESERVED_02				(SDRATTR_3DOBJ_FIRST + 20)	
#define	SDRATTR_3DOBJ_RESERVED_03				(SDRATTR_3DOBJ_FIRST + 21)	
#define	SDRATTR_3DOBJ_RESERVED_04				(SDRATTR_3DOBJ_FIRST + 22)	
#define	SDRATTR_3DOBJ_RESERVED_05				(SDRATTR_3DOBJ_FIRST + 23)	
#define	SDRATTR_3DOBJ_RESERVED_06				(SDRATTR_3DOBJ_FIRST + 24)	
#define	SDRATTR_3DOBJ_RESERVED_07				(SDRATTR_3DOBJ_FIRST + 25)	
#define	SDRATTR_3DOBJ_RESERVED_08				(SDRATTR_3DOBJ_FIRST + 26)	
#define	SDRATTR_3DOBJ_RESERVED_09				(SDRATTR_3DOBJ_FIRST + 27)	
#define	SDRATTR_3DOBJ_RESERVED_10				(SDRATTR_3DOBJ_FIRST + 28)	
#define	SDRATTR_3DOBJ_RESERVED_11				(SDRATTR_3DOBJ_FIRST + 29)	
#define	SDRATTR_3DOBJ_RESERVED_12				(SDRATTR_3DOBJ_FIRST + 30)	
#define	SDRATTR_3DOBJ_RESERVED_13				(SDRATTR_3DOBJ_FIRST + 31)	
#define	SDRATTR_3DOBJ_RESERVED_14				(SDRATTR_3DOBJ_FIRST + 32)	
#define	SDRATTR_3DOBJ_RESERVED_15				(SDRATTR_3DOBJ_FIRST + 33)	
#define	SDRATTR_3DOBJ_RESERVED_16				(SDRATTR_3DOBJ_FIRST + 34)	
#define	SDRATTR_3DOBJ_RESERVED_17				(SDRATTR_3DOBJ_FIRST + 35)	
#define	SDRATTR_3DOBJ_RESERVED_18				(SDRATTR_3DOBJ_FIRST + 36)	
#define	SDRATTR_3DOBJ_RESERVED_19				(SDRATTR_3DOBJ_FIRST + 37)	
#define	SDRATTR_3DOBJ_RESERVED_20				(SDRATTR_3DOBJ_FIRST + 38)	
#define	SDRATTR_3DOBJ_LAST						(SDRATTR_3DOBJ_RESERVED_20)	

#define	SDRATTR_3DSCENE_FIRST					(SDRATTR_3DOBJ_LAST + 1)		
#define	SDRATTR_3DSCENE_PERSPECTIVE				(SDRATTR_3DSCENE_FIRST + 0)		
#define	SDRATTR_3DSCENE_DISTANCE				(SDRATTR_3DSCENE_FIRST + 1)		
#define	SDRATTR_3DSCENE_FOCAL_LENGTH			(SDRATTR_3DSCENE_FIRST + 2)		
#define	SDRATTR_3DSCENE_TWO_SIDED_LIGHTING		(SDRATTR_3DSCENE_FIRST + 3)		
#define	SDRATTR_3DSCENE_LIGHTCOLOR_1			(SDRATTR_3DSCENE_FIRST + 4)		
#define	SDRATTR_3DSCENE_LIGHTCOLOR_2			(SDRATTR_3DSCENE_FIRST + 5)		
#define	SDRATTR_3DSCENE_LIGHTCOLOR_3			(SDRATTR_3DSCENE_FIRST + 6)		
#define	SDRATTR_3DSCENE_LIGHTCOLOR_4			(SDRATTR_3DSCENE_FIRST + 7)		
#define	SDRATTR_3DSCENE_LIGHTCOLOR_5			(SDRATTR_3DSCENE_FIRST + 8)		
#define	SDRATTR_3DSCENE_LIGHTCOLOR_6			(SDRATTR_3DSCENE_FIRST + 9)		
#define	SDRATTR_3DSCENE_LIGHTCOLOR_7			(SDRATTR_3DSCENE_FIRST + 10)	
#define	SDRATTR_3DSCENE_LIGHTCOLOR_8			(SDRATTR_3DSCENE_FIRST + 11)	
#define	SDRATTR_3DSCENE_AMBIENTCOLOR			(SDRATTR_3DSCENE_FIRST + 12)	
#define	SDRATTR_3DSCENE_LIGHTON_1				(SDRATTR_3DSCENE_FIRST + 13)	
#define	SDRATTR_3DSCENE_LIGHTON_2				(SDRATTR_3DSCENE_FIRST + 14)	
#define	SDRATTR_3DSCENE_LIGHTON_3				(SDRATTR_3DSCENE_FIRST + 15)	
#define	SDRATTR_3DSCENE_LIGHTON_4				(SDRATTR_3DSCENE_FIRST + 16)	
#define	SDRATTR_3DSCENE_LIGHTON_5				(SDRATTR_3DSCENE_FIRST + 17)	
#define	SDRATTR_3DSCENE_LIGHTON_6				(SDRATTR_3DSCENE_FIRST + 18)	
#define	SDRATTR_3DSCENE_LIGHTON_7				(SDRATTR_3DSCENE_FIRST + 19)	
#define	SDRATTR_3DSCENE_LIGHTON_8				(SDRATTR_3DSCENE_FIRST + 20)	
#define	SDRATTR_3DSCENE_LIGHTDIRECTION_1		(SDRATTR_3DSCENE_FIRST + 21)	
#define	SDRATTR_3DSCENE_LIGHTDIRECTION_2		(SDRATTR_3DSCENE_FIRST + 22)	
#define	SDRATTR_3DSCENE_LIGHTDIRECTION_3		(SDRATTR_3DSCENE_FIRST + 23)	
#define	SDRATTR_3DSCENE_LIGHTDIRECTION_4		(SDRATTR_3DSCENE_FIRST + 24)	
#define	SDRATTR_3DSCENE_LIGHTDIRECTION_5		(SDRATTR_3DSCENE_FIRST + 25)	
#define	SDRATTR_3DSCENE_LIGHTDIRECTION_6		(SDRATTR_3DSCENE_FIRST + 26)	
#define	SDRATTR_3DSCENE_LIGHTDIRECTION_7		(SDRATTR_3DSCENE_FIRST + 27)	
#define	SDRATTR_3DSCENE_LIGHTDIRECTION_8		(SDRATTR_3DSCENE_FIRST + 28)	
#define	SDRATTR_3DSCENE_SHADOW_SLANT			(SDRATTR_3DSCENE_FIRST + 29)	
#define	SDRATTR_3DSCENE_SHADE_MODE				(SDRATTR_3DSCENE_FIRST + 30)	
#define	SDRATTR_3DSCENE_RESERVED_01				(SDRATTR_3DSCENE_FIRST + 31)	
#define	SDRATTR_3DSCENE_RESERVED_02				(SDRATTR_3DSCENE_FIRST + 32)	
#define	SDRATTR_3DSCENE_RESERVED_03				(SDRATTR_3DSCENE_FIRST + 33)	
#define	SDRATTR_3DSCENE_RESERVED_04				(SDRATTR_3DSCENE_FIRST + 34)	
#define	SDRATTR_3DSCENE_RESERVED_05				(SDRATTR_3DSCENE_FIRST + 35)	
#define	SDRATTR_3DSCENE_RESERVED_06				(SDRATTR_3DSCENE_FIRST + 36)	
#define	SDRATTR_3DSCENE_RESERVED_07				(SDRATTR_3DSCENE_FIRST + 37)	
#define	SDRATTR_3DSCENE_RESERVED_08				(SDRATTR_3DSCENE_FIRST + 38)	
#define	SDRATTR_3DSCENE_RESERVED_09				(SDRATTR_3DSCENE_FIRST + 39)	
#define	SDRATTR_3DSCENE_RESERVED_10				(SDRATTR_3DSCENE_FIRST + 40)	
#define	SDRATTR_3DSCENE_RESERVED_11				(SDRATTR_3DSCENE_FIRST + 41)	
#define	SDRATTR_3DSCENE_RESERVED_12				(SDRATTR_3DSCENE_FIRST + 42)	
#define	SDRATTR_3DSCENE_RESERVED_13				(SDRATTR_3DSCENE_FIRST + 43)	
#define	SDRATTR_3DSCENE_RESERVED_14				(SDRATTR_3DSCENE_FIRST + 44)	
#define	SDRATTR_3DSCENE_RESERVED_15				(SDRATTR_3DSCENE_FIRST + 45)	
#define	SDRATTR_3DSCENE_RESERVED_16				(SDRATTR_3DSCENE_FIRST + 46)	
#define	SDRATTR_3DSCENE_RESERVED_17				(SDRATTR_3DSCENE_FIRST + 47)	
#define	SDRATTR_3DSCENE_RESERVED_18				(SDRATTR_3DSCENE_FIRST + 48)	
#define	SDRATTR_3DSCENE_RESERVED_19				(SDRATTR_3DSCENE_FIRST + 49)	
#define	SDRATTR_3DSCENE_RESERVED_20				(SDRATTR_3DSCENE_FIRST + 50)	
#define	SDRATTR_3DSCENE_LAST					(SDRATTR_3DSCENE_RESERVED_20)	

#define	SDRATTR_3D_LAST							(SDRATTR_3DSCENE_LAST)	

#define SDRATTR_END								SDRATTR_3D_LAST		 	   

#endif 

