
#ifndef _SXESITM_HXX
#define _SXESITM_HXX

#ifndef _SVDDEF_HXX 
#include <svx/svddef.hxx>
#endif

#ifndef _SFXITEMSET_HXX 
#include <svtools/itemset.hxx>
#endif

#ifndef _SFXPOOLITEM_HXX 
#include <svtools/poolitem.hxx>
#endif

class SdrEdgeSetItem: public SfxSetItem {
public:
	TYPEINFO();
	SdrEdgeSetItem(SfxItemSet* pItemSet)          : SfxSetItem(SDRATTRSET_EDGE,pItemSet) {}
	SdrEdgeSetItem(SfxItemPool* pItemPool)        : SfxSetItem(SDRATTRSET_EDGE,new SfxItemSet(*pItemPool,SDRATTR_EDGE_FIRST,SDRATTR_EDGE_LAST)) {}
	SdrEdgeSetItem(const SdrEdgeSetItem& rAttr, SfxItemPool* pItemPool=NULL): SfxSetItem(rAttr,pItemPool) {}
	virtual SfxPoolItem*    Clone(SfxItemPool* pToPool) const;
	virtual SfxPoolItem*    Create(SvStream& rStream, USHORT nVersion) const;
#if SUPD <= 345
	virtual SvStream&       Store(SvStream& rStream) const;
#endif
};

#endif
