

#ifndef _SVX_UNOAPI_HXX_
#define _SVX_UNOAPI_HXX_

#ifndef _COM_SUN_STAR_UNO_ANY_HXX_ 
#include <com/sun/star/uno/Any.hxx>
#endif

#ifndef _COM_SUN_STAR_DRAWING_XSHAPE_HPP_
#include <com/sun/star/drawing/XShape.hpp>
#endif

#ifndef _SAL_TYPES_H_ 
#include <sal/types.h>
#endif

#ifndef _GRFMGR_HXX 
#include <goodies/grfmgr.hxx>
#endif

#ifndef _SFXPOOLITEM_HXX
#include <svtools/poolitem.hxx>
#endif

class SvxShape;
class SdrObject;
class SvxNumBulletItem;
class SfxItemPool;
class String;

SvxShape* CreateSvxShapeByTypeAndInventor( sal_uInt16 nType, sal_uInt32 nInventor ) throw();

::com::sun::star::uno::Reference< ::com::sun::star::drawing::XShape > GetXShapeForSdrObject( SdrObject* pObj ) throw ();

SdrObject* GetSdrObjectFromXShape( ::com::sun::star::uno::Reference< ::com::sun::star::drawing::XShape > xShape ) throw() ;

GraphicObject CreateGraphicObjectFromURL( const ::rtl::OUString &rURL ) throw() ;

SvxNumBulletItem* SvxGetNumBulletItemByName( SfxItemPool* pPool, const ::rtl::OUString& aName ) throw();

sal_Bool SvxMeasureUnitToMapUnit( const short eApi, short& nVcl ) throw();

sal_Bool SvxMapUnitToMeasureUnit( const short nVcl, short& eApi ) throw();

sal_Bool SvxMeasureUnitToFieldUnit( const short eApi, short& nVcl ) throw();

sal_Bool SvxFieldUnitToMeasureUnit( const short nVcl, short& eApi ) throw();

void SvxUnogetApiNameForItem( const sal_Int16 nWhich, const String& rInternalName, rtl::OUString& rApiName ) throw();

void SvxUnogetInternalNameForItem( const sal_Int16 nWhich, const rtl::OUString& rApiName, String& rInternalName ) throw();

void SvxUnoConvertToMM( const SfxMapUnit eSourceMapUnit, com::sun::star::uno::Any & rMetric ) throw();

void SvxUnoConvertFromMM( const SfxMapUnit eDestinationMapUnit, com::sun::star::uno::Any & rMetric ) throw();

#endif _SVX_UNOAPI_HXX_

