
#ifndef _SVX_UNOMID_HXX
#define _SVX_UNOMID_HXX

#define MID_SIZE_SIZE		0
#define MID_SIZE_WIDTH      1
#define MID_SIZE_HEIGHT     2

#define MID_LR_MARGIN		0
#define MID_LRP_MARGIN  	1
#define MID_LR_REL_MARGIN	2
#define MID_LRP_REL_MARGIN  3
#define MID_L_MARGIN		4
#define MID_R_MARGIN		5
#define MID_L_REL_MARGIN	6
#define MID_R_REL_MARGIN	7
#define MID_FIRST_LINE_INDENT	 	8
#define MID_FIRST_LINE_REL_INDENT   9
#define MID_FIRST_AUTO				10
#define MID_TXT_LMARGIN 			11

#define MID_UL_MARGIN		0
#define MID_UL_REL_MARGIN	1
#define MID_UP_MARGIN		2
#define MID_LO_MARGIN		3
#define MID_UP_REL_MARGIN	4
#define MID_LO_REL_MARGIN	5

#define MID_BOLD			0
#define MID_WEIGHT          1

#define MID_ITALIC          0
#define MID_POSTURE         1

#define MID_FONTHEIGHT     	0
#define MID_FONTHEIGHT_PROP 1
#define MID_FONTHEIGHT_DIFF 2

#define MID_FONTWIDTH     	0
#define MID_FONTWIDTH_PROP  1

#define MID_UNDERLINED		0
#define MID_UNDERLINE		1
#define MID_UL_COLOR		2
#define MID_UL_HASCOLOR		3

#define MID_CROSSED_OUT		0
#define MID_CROSS_OUT       1

#define MID_ESC			 0
#define MID_ESC_HEIGHT   1
#define MID_AUTO_ESC     2

#define MID_LANGUAGE		0
#define MID_COUNTRY			1
#define MID_LANG_COUNTRY	2

#define MID_BACK_COLOR			0
#define MID_GRAPHIC_POSITION    1
#define MID_GRAPHIC_LINK        2
#define MID_GRAPHIC             3
#define MID_GRAPHIC_TRANSPARENT 4
#define MID_GRAPHIC_URL        	5
#define MID_GRAPHIC_FILTER     	6
#define MID_GRAPHIC_REPEAT     	7

#define MID_PROTECT_CONTENT		0
#define MID_PROTECT_SIZE        1
#define MID_PROTECT_POSITION    2

#define MID_PARA_ADJUST			0
#define MID_LAST_LINE_ADJUST    1
#define MID_EXPAND_SINGLE       2

#define MID_PAGE_NUMTYPE		0
#define MID_PAGE_ORIENTATION    1
#define MID_PAGE_LAYOUT         2

#define MID_MARGIN_LR_MARGIN	0
#define MID_MARGIN_UL_MARGIN	1
#define MID_MARGIN_L_MARGIN		2
#define MID_MARGIN_R_MARGIN		3
#define MID_MARGIN_UP_MARGIN	4
#define MID_MARGIN_LO_MARGIN	5

#define LEFT_BORDER  			0
#define RIGHT_BORDER            1
#define TOP_BORDER              2
#define BOTTOM_BORDER           3
#define BORDER_DISTANCE         4
#define LEFT_BORDER_DISTANCE    5
#define RIGHT_BORDER_DISTANCE   6
#define TOP_BORDER_DISTANCE     7
#define BOTTOM_BORDER_DISTANCE  8

#define ALL_BORDER					10
#define ALL_BORDER_PADDING			11
#define LEFT_BORDER_PADDING			12
#define RIGHT_BORDER_PADDING		13
#define TOP_BORDER_PADDING			14
#define BOTTOM_BORDER_PADDING		15
#define ALL_BORDER_LINE_WIDTH		16
#define LEFT_BORDER_LINE_WIDTH		17
#define RIGHT_BORDER_LINE_WIDTH		18
#define TOP_BORDER_LINE_WIDTH		19
#define BOTTOM_BORDER_LINE_WIDTH	20

#define MID_FONT_FAMILY_NAME 	0
#define MID_FONT_STYLE_NAME     1
#define MID_FONT_FAMILY         2
#define MID_FONT_CHAR_SET       3
#define MID_FONT_PITCH          4

#define MID_IS_HYPHEN	      	0
#define MID_HYPHEN_MIN_LEAD     1
#define MID_HYPHEN_MIN_TRAIL    2
#define MID_HYPHEN_MAX_HYPHENS  3

#define MID_BREAK_BEFORE		0
#define MID_BREAK_AFTER			1

#define MID_CASEMAP_VARIANT		0
#define MID_CASEMAP_TRANS		1

#define MID_LS_FIXED			0
#define MID_LS_MINIMUM			1
#define MID_LS_DISTANCE			2

#define MID_LANG_INT			0
#define MID_LANG_LOCALE			1

#define MID_NAME				16
#define MID_GRAFURL				32

#define MID_TWOLINES			0
#define MID_START_BRACKET 		1
#define MID_END_BRACKET 		2

#define MID_EMPHASIS			0

#define MID_ROTATE				0
#define MID_FITTOLINE			1

#define MID_RELIEF				0

#define MID_TABSTOPS            0
#define MID_STD_TAB             1

#define MID_HORJUST_HORJUST		0
#define MID_HORJUST_ADJUST		1

#endif

