

#ifndef _XENUM_HXX
#define _XENUM_HXX

enum XLineStyle			{ XLINE_NONE, XLINE_SOLID, XLINE_DASH };
enum XLineJoint			
{
	XLINEJOINT_NONE,		
	XLINEJOINT_MIDDLE,		
	XLINEJOINT_BEVEL,		
	XLINEJOINT_MITER,		
	XLINEJOINT_ROUND		
};
enum XDashStyle			{ XDASH_RECT, XDASH_ROUND, XDASH_RECTRELATIVE,
			  XDASH_ROUNDRELATIVE };
enum XFillStyle			{ XFILL_NONE, XFILL_SOLID, XFILL_GRADIENT, XFILL_HATCH,
			  XFILL_BITMAP };
enum XGradientStyle		{ XGRAD_LINEAR, XGRAD_AXIAL, XGRAD_RADIAL,
			  XGRAD_ELLIPTICAL, XGRAD_SQUARE, XGRAD_RECT };
enum XHatchStyle		{ XHATCH_SINGLE, XHATCH_DOUBLE, XHATCH_TRIPLE };
enum XFormTextStyle		{ XFT_ROTATE, XFT_UPRIGHT, XFT_SLANTX, XFT_SLANTY,
			  XFT_NONE };
enum XFormTextAdjust	{ XFT_LEFT, XFT_RIGHT, XFT_AUTOSIZE, XFT_CENTER };
enum XFormTextShadow	{ XFTSHADOW_NONE, XFTSHADOW_NORMAL, XFTSHADOW_SLANT};
enum XFormTextStdForm	{ XFTFORM_NONE = 0, XFTFORM_TOPCIRC, XFTFORM_BOTCIRC,
			  XFTFORM_LFTCIRC, XFTFORM_RGTCIRC, XFTFORM_TOPARC,
			  XFTFORM_BOTARC, XFTFORM_LFTARC, XFTFORM_RGTARC,
			  XFTFORM_BUTTON1, XFTFORM_BUTTON2,
			  XFTFORM_BUTTON3, XFTFORM_BUTTON4};
enum XBitmapStyle		{ XBITMAP_TILE, XBITMAP_STRETCH };
enum XBitmapType 		{ XBITMAP_IMPORT, XBITMAP_8X8, XBITMAP_NONE,
			  XBITMAP_16X16 };

#endif		

