

#ifndef _SVX_XFLBMSXY_HXX
#define _SVX_XFLBMSXY_HXX

#ifndef _SFXMETRICITEM_HXX 
#include <svtools/metitem.hxx>
#endif

class XFillBmpSizeXItem : public SfxMetricItem
{
public:
				TYPEINFO();
				XFillBmpSizeXItem( long nSizeX = 0 );
				XFillBmpSizeXItem( SvStream& rIn );

	virtual SfxPoolItem*    Clone( SfxItemPool* pPool = 0 ) const;
	virtual SfxPoolItem*    Create( SvStream& rIn, USHORT nVer ) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

	virtual FASTBOOL		HasMetrics() const;
};

class XFillBmpSizeYItem : public SfxMetricItem
{
public:
				TYPEINFO();
				XFillBmpSizeYItem( long nSizeY = 0 );
				XFillBmpSizeYItem( SvStream& rIn );

	virtual SfxPoolItem*    Clone( SfxItemPool* pPool = 0 ) const;
	virtual SfxPoolItem*    Create( SvStream& rIn, USHORT nVer ) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;

	virtual FASTBOOL		HasMetrics() const;
};

#endif
