

#ifndef _SVX_XFLBTOXY_HXX
#define _SVX_XFLBTOXY_HXX

#ifndef _SFXINTITEM_HXX 
#include <svtools/intitem.hxx>
#endif

class XFillBmpTileOffsetXItem : public SfxUInt16Item
{
public:
				TYPEINFO();
				XFillBmpTileOffsetXItem( USHORT nOffX = 0 );
				XFillBmpTileOffsetXItem( SvStream& rIn );

	virtual SfxPoolItem*    Clone( SfxItemPool* pPool = 0 ) const;
	virtual SfxPoolItem*    Create( SvStream& rIn, USHORT nVer ) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;
};

class XFillBmpTileOffsetYItem : public SfxUInt16Item
{
public:
				TYPEINFO();
				XFillBmpTileOffsetYItem( USHORT nOffX = 0 );
				XFillBmpTileOffsetYItem( SvStream& rIn );

	virtual SfxPoolItem*    Clone( SfxItemPool* pPool = 0 ) const;
	virtual SfxPoolItem*    Create( SvStream& rIn, USHORT nVer ) const;

	virtual SfxItemPresentation GetPresentation( SfxItemPresentation ePres,
						SfxMapUnit eCoreMetric,
						SfxMapUnit ePresMetric,
	                                String &rText, const IntlWrapper * = 0 ) const;
};

#endif
