
#ifndef _SVX_ZOOMCTRL_HXX
#define _SVX_ZOOMCTRL_HXX

#ifndef _SFXSTBITEM_HXX 
#include <sfx2/stbitem.hxx>
#endif

class SvxZoomStatusBarControl : public SfxStatusBarControl
{
private:
	USHORT	nZoom;
	USHORT  nValueSet;

public:
	virtual void	StateChanged( USHORT nSID, SfxItemState eState,
					  const SfxPoolItem* pState );
	virtual void    Paint( const UserDrawEvent& rEvt );
	virtual void	Command( const CommandEvent& rCEvt );

	SFX_DECL_STATUSBAR_CONTROL();

	SvxZoomStatusBarControl( USHORT nId, StatusBar& rStb, SfxBindings& rBind );

	static	ULONG	GetDefItemWidth(const StatusBar& rStb);

};

#endif

