

#ifndef _DOWNLOAD_HXX
#define _DOWNLOAD_HXX

class String;
class Link;

#define DOWNLOAD_SUCCESS	0
#define DOWNLOAD_CONNECT	1
#define DOWNLOAD_LOCATION	2
#define DOWNLOAD_ABORT		3
#define DOWNLOAD_FILEACCESS	4
#define DOWNLOAD_INSTALL	5
#define DOWNLOAD_ERROR		6

class Downloader

{
public:
	Downloader() {};

	virtual void Download(const String &rDestLocation,
			  const String &rSourceLocation,
			  const Link &rFinishedLink) = 0;
};

#endif
