

#ifndef _TOOLS_RESARY_HXX
#define _TOOLS_RESARY_HXX

#ifndef _TOOLS_RESID_HXX
#include <tools/resid.hxx>
#endif
#ifndef _TOOLS_RC_HXX
#include <tools/rc.hxx>
#endif

struct ImplResStringItem
{
	XubString	maStr;
	long		mnValue;

#if 0 // _SOLAR__PRIVATE
#ifdef _TOOLS_RESARY_CXX
	ImplResStringItem( const XubString& rStr ) :
		maStr( rStr ) {}
#endif
#endif
};

#define RESARRAY_INDEX_NOTFOUND 			((USHORT)0xFFFF)

class ResStringArray : public Resource
{
private:
	ImplResStringItem** mpAry;
	USHORT				mnSize;

public:
			ResStringArray( const ResId& rResId );
			~ResStringArray();

	const XubString&	GetString( USHORT nIndex ) const
				{ return mpAry[nIndex]->maStr; }
	long				GetValue( USHORT nIndex ) const
				{ return mpAry[nIndex]->mnValue; }
	USHORT				Count() const { return mnSize; }

	USHORT				FindIndex( long nValue ) const;

private:
			ResStringArray( const ResStringArray& );
	ResStringArray& 	operator=( const ResStringArray& );
};

#endif	
