
#ifndef _SASYNCFN_HXX
#define _SASYNCFN_HXX

#ifndef _SOLAR_H
#include <tools/solar.h>
#endif

class AsyncFuncsBase
{
public:
	virtual void 				Reschedule()=0;
	virtual void 				Yield()=0;
	virtual BOOL 				IsSimple()=0;

};

class SimpleAsyncFuncs : public AsyncFuncsBase
{
public:
	virtual void 				Reschedule(){;}
	virtual void 				Yield(){;}
	virtual BOOL 				IsSimple(){ return TRUE; };
};

#endif

