

#ifndef _TOOLS_SIMPLERESMGR_HXX_
#define _TOOLS_SIMPLERESMGR_HXX_

#ifndef _VOS_MUTEX_HXX_
#include <vos/mutex.hxx>
#endif

#ifndef _LANG_HXX
#include <tools/lang.hxx>
#endif
#ifndef _STRING_HXX
#include <tools/string.hxx>
#endif

class InternalResMgr;
class SimpleResMgr
{
protected:
	NAMESPACE_VOS(OMutex)	m_aAccessSafety;
	InternalResMgr* 		m_pResImpl;

public:
				SimpleResMgr( const sal_Char* pPrefixName,
							  LanguageType nType,
							  const String* pAppName = NULL,
							  const String* pResPath = NULL );
	virtual 				~SimpleResMgr();

	static SimpleResMgr*	Create( const sal_Char* pPrefixName,
						LanguageType eLanguage = LANGUAGE_DONTKNOW );

	UniString				ReadString( USHORT nId );

	USHORT					ReadBlob( USHORT nId, void** pBuffer );
	void					FreeBlob( void* pBuffer );
};

#endif 
