
#ifndef _TCPDEF_HXX
#define _TCPDEF_HXX

#define		TCP_DATATYPE_NULL			0x0000
#define		TCP_DATATYPE_REQUEST		0x0001
#define		TCP_DATATYPE_TEST	   		0x0080

#define		TCP_MODE_SERVER				0x0001
#define		TCP_MODE_CLIENT				0x0002
#define		TCP_MODE_STANDALONE			0x0004
#define		TCP_MODE_DONTKNOW			0x0008

#define     TCP_ERROR_NON				0x0001
#define 	TCP_ERROR_NOSERVER			0x0002

#define TCP_DTYPE_IGNITE		0x0100
#define TCP_DTYPE_IGNITENOW		0x0200
#define TCP_DTYPE_IGNITEOK		0x0300

#define TCP_DTYPE_NEWJOB		0x0400
#define TCP_DTYPE_NEWJOBOK		0x0500

#define TCP_DTYPE_INSERTENTRY   0x0600
#define TCP_DTYPE_INSERTENTRYOK	0x0700

#define TCP_DTYPE_IGNITEENTRY	0x0800
#define TCP_DTYPE_IGNITEENTRYOK 0x0900

#define TCP_DTYPE_GETPRJSTATUS	0x0A00
#define TCP_DTYPE_PRJSTATUS		0x0B00

#define TCP_DTYPE_JOBFIRSTREQ	0x0C00
#define TCP_DTYPE_JOBREQUEST    0x0D00
#define TCP_DTYPE_JOBINFO		0x0E00
#define TCP_DTYPE_JOBRESPONSE	0x0F00
#define TCP_DTYPE_JOBNON		0x1000
#define TCP_DTYPE_JOBSHUTDOWN	0x1100
#define TCP_DTYPE_JOBPAUSED		0x1200

#define TCP_DTYPE_INFOSERVER_DATA       0x1300

#define TCP_DTYPE_STATUSREQUEST			0x1400
#define TCP_DTYPE_STATUSRESPONSE		0x1500
#define TCP_DTYPE_SINGLESTATUSREQUEST	0x1600
#define TCP_DTYPE_SINGLESTATUSRESPONSE	0x1700
#define TCP_DTYPE_INSERTVERSION			0x1800
#define TCP_DTYPE_INSERTENVIRONMENT		0x1900
#define TCP_DTYPE_IGNITEVERSION			0x1A00
#define TCP_DTYPE_IGNITEENVIRONMENT		0x1B00
#define TCP_DTYPE_MOVEPROJECTS			0x1C00
#define TCP_DTYPE_MARKASDELIVERED		0x1D00
#define TCP_DTYPE_GETCONNECTIONSTATUS	0x1E00
#define TCP_DTYPE_SETJOBSTARTTIME		0x1F00
#define TCP_DTYPE_SETDIRECTORYSTATUS	0x2000
#define TCP_DTYPE_ACTIVEENVIRONMENTS	0x2100
#define TCP_DTYPE_ENVIRONMENTSTOP		0x2200
#define TCP_DTYPE_REMOVEENVIRONMENTS	0x2300
#define TCP_DTYPE_FILTERBROADCAST		0x2400
#define TCP_DTYPE_FREEPORT				0x2500
#define TCP_DTYPE_MASTERNOTIFY			0x2600
#define TCP_DTYPE_CLIENTBROADCAST		0x2700
#define TCP_DTYPE_ENVIRONMENTPREPOST	0x2800
#define TCP_DTYPE_ENVIRONMENTNOERRORS	0x2900
#define TCP_DTYPE_ENVIRONMENTMEDEPEND	0x2A00
#define TCP_DTYPE_ENVIRONMENTDEPENDME	0x2B00
#define TCP_DTYPE_ENVIRONMENTSORT		0x2C00
#define TCP_DTYPE_ADDHIDDENJOB			0x3000
#define TCP_DTYPE_REMOVEHIDDENJOB		0x3100
#define TCP_DTYPE_REQUESTHIDDENJOBS		0x3200
#define TCP_DTYPE_SERVERTIME			0x3300

#define TCP_DTYPE_PROJECTTRIGGER		0x2D00
#define TCP_DTYPE_ENVIRONMENTTRIGGER	0x2E00

#define TCP_DTYPE_USER_LOGIN			0x2F00

#endif

