

#ifndef _SV_SYSTEM_HXX
#define _SV_SYSTEM_HXX

class Window;

#ifndef _STRING_HXX
#include <tools/string.hxx>
#endif

#ifndef _SV_FONT_HXX
#include <vcl/font.hxx>
#endif

enum _StandardFont { _STDFONT_SWISS, _STDFONT_ROMAN, _STDFONT_FIXED, _STDFONT_SYMBOL };

#define SYSTEM_GETSYSTEMINFO_STACK          ((ULONG)0x00000001)
#define SYSTEM_GETSYSTEMINFO_MODULES        ((ULONG)0x00000002)
#define SYSTEM_GETSYSTEMINFO_SYSTEMVERSION  ((ULONG)0x00000004)
#define SYSTEM_GETSYSTEMINFO_CPUTYPE        ((ULONG)0x00000008)
#define SYSTEM_GETSYSTEMINFO_MEMORYINFO     ((ULONG)0x00000010)
#define SYSTEM_GETSYSTEMINFO_LOCALVOLUMES   ((ULONG)0x00000020)
#define SYSTEM_GETSYSTEMINFO_SYSTEMDIRS     ((ULONG)0x00000040)
#define SYSTEM_GETSYSTEMINFO_MOUSEINFO      ((ULONG)0x00000080)
#define SYSTEM_GETSYSTEMINFO_GRAPHICSSYSTEM ((ULONG)0x00000100)
#define SYSTEM_GETSYSTEMINFO_ALL            ((ULONG)0xFFFFFFFF)

class System
{
public:
	static  Font            _GetStandardFont( _StandardFont eStdFont );
	 static  LineEnd         GetLineEnd()
	                                { return ::GetSystemLineEnd(); }
	 static XubString        GetSummarySystemInfos( ULONG nFlags = SYSTEM_GETSYSTEMINFO_ALL );
};

#endif 
