

#ifndef _XMLOFF_HATCHSTYLE_HXX
#define _XMLOFF_HATCHSTYLE_HXX

#ifndef _COM_SUN_STAR_XML_SAX_XDOCUMENTHANDLER_HPP_
#include <com/sun/star/xml/sax/XDocumentHandler.hpp>
#endif

#ifndef _XMLOFF_XMLTOKEN_HXX
#include <xmloff/xmltoken.hxx>
#endif

class SvXMLNamespaceMap;
class SvXMLAttributeList;
class SvXMLUnitConverter;

namespace com { namespace sun { namespace star { namespace rtl { class OUString; } } } }

class XMLHatchStyle
{
public:
	XMLHatchStyle( const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XDocumentHandler > & _rHandler,
	              const SvXMLNamespaceMap& _rNamespaceMap, const SvXMLUnitConverter& _rUnitConverter );
	~XMLHatchStyle();

	sal_Bool exportXML( const ::rtl::OUString& rStrName, const ::com::sun::star::uno::Any& rValue );
	sal_Bool importXML( const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList >& xAttrList, ::com::sun::star::uno::Any& rValue, ::rtl::OUString& rStrName );

private:
	const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XDocumentHandler > & rHandler;
	const SvXMLNamespaceMap&  mrNamespaceMap;
	const SvXMLUnitConverter& rUnitConverter;

	SvXMLAttributeList *pAttrList;

	sal_Bool ImpExportXML( const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XDocumentHandler > & rHandler,
	                 const SvXMLNamespaceMap& rNamespaceMap, const SvXMLUnitConverter& rUnitConverter, 
			   const ::rtl::OUString& rStrName, const ::com::sun::star::uno::Any& rValue );
	sal_Bool ImpImportXML( const SvXMLUnitConverter& rUnitConverter, 
			   const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList >& xAttrList, 
			   ::com::sun::star::uno::Any& rValue, ::rtl::OUString& rStrName );

	void AddAttribute( sal_uInt16 nPrefix, enum ::xmloff::token::XMLTokenEnum eName, const ::rtl::OUString& rStrValue );

};

#endif 
