

#ifndef _XMLTEXTSHAPEIMPORTHELPER_HXX
#define _XMLTEXTSHAPEIMPORTHELPER_HXX

#ifndef _XMLOFF_SHAPEIMPORT_HXX_
#include <xmloff/shapeimport.hxx>
#endif

class XMLTextShapeImportHelper : public XMLShapeImportHelper 
{
	SvXMLImport& rImport;

	const ::rtl::OUString sAnchorType;
	const ::rtl::OUString sAnchorPageNo;
	const ::rtl::OUString sVertOrientPosition;

public:

	XMLTextShapeImportHelper( SvXMLImport& rImp );
	~XMLTextShapeImportHelper();

	virtual void addShape(
		::com::sun::star::uno::Reference<
			::com::sun::star::drawing::XShape >& rShape,
		const ::com::sun::star::uno::Reference<
			::com::sun::star::xml::sax::XAttributeList >& xAttrList,
		::com::sun::star::uno::Reference<
			::com::sun::star::drawing::XShapes >& rShapes );
};

#endif
