
#ifndef _XMLOFF_XMLTEXTSHAPESTYLECONTEXT_HXX_
#define _XMLOFF_XMLTEXTSHAPESTYLECONTEXT_HXX_

#ifndef _XMLOFF_XMLSHAPESTYLECONTEXT_HXX
#include <xmloff/XMLShapeStyleContext.hxx>
#endif

class XMLTextShapeStyleContext : public XMLShapeStyleContext
{
	const ::rtl::OUString		sIsAutoUpdate;

	sal_Bool	bAutoUpdate : 1;

	SvXMLImportContextRef xEventContext;

protected:

	virtual void SetAttribute( sal_uInt16 nPrefixKey,
				   const ::rtl::OUString& rLocalName,
				   const ::rtl::OUString& rValue );

public:

	TYPEINFO();

	XMLTextShapeStyleContext( SvXMLImport& rImport, sal_uInt16 nPrfx,
			const ::rtl::OUString& rLName,
			const ::com::sun::star::uno::Reference<
	::com::sun::star::xml::sax::XAttributeList > & xAttrList,
			SvXMLStylesContext& rStyles, sal_uInt16 nFamily,
	  sal_Bool bDefaultStyle = sal_False );
	virtual ~XMLTextShapeStyleContext();

	virtual SvXMLImportContext *CreateChildContext(
			sal_uInt16 nPrefix,
			const ::rtl::OUString& rLocalName,
			const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList > & xAttrList );

	sal_Bool IsAutoUpdate() const { return bAutoUpdate; }

	virtual void CreateAndInsert( sal_Bool bOverwrite );
};

#endif
