

#ifndef _XMLOFF_ANIMEXP_HXX
#define _XMLOFF_ANIMEXP_HXX

#ifndef _COM_SUN_STAR_DRAWING_XSHAPE_HPP_ 
#include <com/sun/star/drawing/XShape.hpp>
#endif

#ifndef _UNIVERSALL_REFERENCE_HXX
#include <xmloff/uniref.hxx>
#endif

class AnimExpImpl;
class SvXMLExport;
class XMLShapeExport;

class XMLAnimationsExporter : public UniRefBase
{
	AnimExpImpl*	mpImpl;	

public:
	XMLAnimationsExporter( XMLShapeExport* pShapeExp );
	virtual ~XMLAnimationsExporter();

	void collect( ::com::sun::star::uno::Reference< ::com::sun::star::drawing::XShape > xShape );
	void exportAnimations( SvXMLExport& rExport );
};

#endif	

