

#ifndef _XMLOFF_I18NMAP_HXX
#define _XMLOFF_I18NMAP_HXX

#ifndef _SOLAR_H 
#include <tools/solar.h>
#endif

namespace rtl
{
	class OUString;
}

class SvI18NMap_Impl;
class SvI18NMapEntry_Impl;

class SvI18NMap
{
	SvI18NMap_Impl		*pImpl;

	SvI18NMapEntry_Impl *_Find( USHORT nKind,
					const ::rtl::OUString& rName ) const;

public:

	SvI18NMap();
	~SvI18NMap();

	void Add( USHORT nKind, const ::rtl::OUString& rName,
	 const ::rtl::OUString& rNewName );

	const ::rtl::OUString& Get( USHORT nKind,
					const ::rtl::OUString& rName ) const;
};

#endif	

