

#ifndef _XMLOFF_PROPMAPPINGTYPES_HXX
#define _XMLOFF_PROPMAPPINGTYPES_HXX

#include <tools/solar.h>

#ifndef _COM_SUN_STAR_UNO_ANY_HXX_
#include <com/sun/star/uno/Any.hxx>
#endif

#ifndef _XMLOFF_XMLTOKEN_HXX
#include <xmloff/xmltoken.hxx>
#endif

struct XMLPropertyMapEntry
{
	const sal_Char*	msApiName;		
	sal_Int32       nApiNameLength; 
	sal_uInt16		mnNameSpace;	
	enum ::xmloff::token::XMLTokenEnum meXMLName;		
	sal_Int32		mnType;			
	sal_Int16		mnContextId;	
};

struct XMLPropertyState
{
	sal_Int32                  mnIndex;
	::com::sun::star::uno::Any maValue;

	XMLPropertyState( sal_Int32 nIndex )
		: mnIndex( nIndex ) {}
	XMLPropertyState( sal_Int32 nIndex, const ::com::sun::star::uno::Any& rValue )
		: mnIndex( nIndex ), maValue( rValue ) {}
	XMLPropertyState( const XMLPropertyState& rPropState )
		: mnIndex( rPropState.mnIndex ), maValue( rPropState.maValue ) {}
};

#endif 
