

#ifndef _XMLOFF_XMLEXP_HXX
#define _XMLOFF_XMLEXP_HXX

#ifndef _COM_SUN_STAR_XML_SAX_SAXPARSEEXCEPTION_HPP_
#include <com/sun/star/xml/sax/SAXParseException.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XEXTENDEDDOCUMENTHANDLER_HPP_
#include <com/sun/star/xml/sax/XExtendedDocumentHandler.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_SAXEXCEPTION_HPP_
#include <com/sun/star/xml/sax/SAXException.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XDOCUMENTHANDLER_HPP_
#include <com/sun/star/xml/sax/XDocumentHandler.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XATTRIBUTELIST_HPP_
#include <com/sun/star/xml/sax/XAttributeList.hpp>
#endif
#ifndef _COM_SUN_STAR_XML_SAX_XLOCATOR_HPP_
#include <com/sun/star/xml/sax/XLocator.hpp>
#endif
#ifndef _COM_SUN_STAR_UTIL_XNUMBERFORMATSSUPPLIER_HPP_
#include <com/sun/star/util/XNumberFormatsSupplier.hpp>
#endif
#ifndef _COM_SUN_STAR_LANG_XUNOTUNNEL_HPP_
#include <com/sun/star/lang/XUnoTunnel.hpp>
#endif

#ifndef _RTL_USTRING_HXX_
#include <rtl/ustring.hxx>
#endif
#ifndef _VCL_MAPUNIT_HXX
#include <vcl/mapunit.hxx>
#endif

#ifndef _XMLOFF_TEXTPARAE_HXX_
#include <xmloff/txtparae.hxx>
#endif
#ifndef _XMLOFF_FORMLAYEREXPORT_HXX_
#include <xmloff/formlayerexport.hxx>
#endif
#ifndef _XMLOFF_XMLNUMFE_HXX
#include <xmloff/xmlnumfe.hxx>
#endif

#ifndef _XMLOFF_XMLASTPLP_HXX
#include <xmloff/xmlaustp.hxx>
#endif

#ifndef _XMLOFF_SHAPEEXPORT_HXX_
#include <xmloff/shapeexport.hxx>
#endif

#ifndef _XMLOFF_XMLTOKEN_HXX
#include <xmloff/xmltoken.hxx>
#endif

#ifndef _XMLOFF_SCH_XMLEXPORTHELPER_HXX_
#include <xmloff/SchXMLExportHelper.hxx>
#endif
#ifndef _XMLOFF_XMLFONTAUTOSTYLEPOOL_HXX
#include <xmloff/XMLFontAutoStylePool.hxx>
#endif
#ifndef _COM_SUN_STAR_DOCUMENT_XFILTER_HPP_
#include <com/sun/star/document/XFilter.hpp>
#endif
#ifndef _COM_SUN_STAR_LANG_XSERVICEINFO_HPP_
#include <com/sun/star/lang/XServiceInfo.hpp>
#endif
#ifndef _COM_SUN_STAR_DOCUMENT_XEXPORTER_HPP_
#include <com/sun/star/document/XExporter.hpp>
#endif
#ifndef _COM_SUN_STAR_DRAWING_XGRAPHICOBJECTRESOLVER_HPP_
#include <com/sun/star/document/XGraphicObjectResolver.hpp>
#endif
#ifndef _COM_SUN_STAR_DRAWING_XEMBEDDEDOBJECTRESOLVER_HPP_
#include <com/sun/star/document/XEmbeddedObjectResolver.hpp>
#endif
#ifndef _COM_SUN_STAR_BEANS_XPROPERTYSET_HPP_
#include <com/sun/star/beans/XPropertySet.hpp>
#endif
#ifndef _COM_SUN_STAR_LANG_XINITIALIZATION_HPP_
#include <com/sun/star/lang/XInitialization.hpp>
#endif

#ifndef _XMLOFF_XMLPAGEEXPORT_HXX
#include <xmloff/XMLPageExport.hxx>
#endif
#ifndef _XMLOFF_PROGRESSBARHELPER_HXX
#include <xmloff/ProgressBarHelper.hxx>
#endif

#include <cppuhelper/implbase5.hxx>

class SvXMLNamespaceMap;
class SvXMLAttributeList;
class SvXMLExport_Impl;
class SvXMLUnitConverter;
class ProgressBarHelper;
class XMLEventExport;
class XMLSettingsExportHelper;
class XMLImageMapExport;

namespace rtl { class OUString; }
namespace com { namespace sun { namespace star {
	namespace frame { class XModel; }
	namespace container { class XIndexContainer; }
} } }

#define EXPORT_META			0x0001
#define EXPORT_STYLES		0x0002
#define EXPORT_MASTERSTYLES 0x0004
#define EXPORT_AUTOSTYLES	0x0008
#define EXPORT_CONTENT		0x0010
#define EXPORT_SCRIPTS		0x0020
#define EXPORT_SETTINGS		0x0040
#define EXPORT_FONTDECLS	0x0080
#define EXPORT_EMBEDDED		0x0100
#define EXPORT_NODOCTYPE	0x0200
#define EXPORT_ALL			0xffff

class SvXMLExport : public ::cppu::WeakImplHelper5<
	::com::sun::star::document::XFilter,
	::com::sun::star::lang::XServiceInfo,
	::com::sun::star::document::XExporter,
	 ::com::sun::star::lang::XInitialization,
	::com::sun::star::lang::XUnoTunnel>
{
	SvXMLExport_Impl			*pImpl;			

	::com::sun::star::uno::Reference< ::com::sun::star::frame::XModel > xModel;
	::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XDocumentHandler > 			xHandler;		
	::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XExtendedDocumentHandler > 	xExtHandler;
	::com::sun::star::uno::Reference< ::com::sun::star::util::XNumberFormatsSupplier > xNumberFormatsSupplier;
	::com::sun::star::uno::Reference< ::com::sun::star::document::XGraphicObjectResolver > xGraphicResolver;
	::com::sun::star::uno::Reference< ::com::sun::star::document::XEmbeddedObjectResolver > xEmbeddedResolver;
	::com::sun::star::uno::Reference< ::com::sun::star::task::XStatusIndicator > xStatusIndicator;
	::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertySet > xExportInfo;

	SvXMLAttributeList			*pAttrList;		
	::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList > 			xAttrList;		

	::rtl::OUString		sOrigFileName;	
	::rtl::OUString		sPicturesPath;
	::rtl::OUString		sGraphicObjectProtocol;
	::rtl::OUString		sEmbeddedObjectProtocol;
	::rtl::OUString		sObjectsPath;
	SvXMLNamespaceMap			*pNamespaceMap;	
	SvXMLUnitConverter			*pUnitConv;		
	SvXMLNumFmtExport			*pNumExport;
	ProgressBarHelper			*pProgressBarHelper;

	UniReference< XMLTextParagraphExport > mxTextParagraphExport;
	UniReference< XMLShapeExport > mxShapeExport;
	UniReference< SvXMLAutoStylePoolP > mxAutoStylePool;
	UniReference< SchXMLExportHelper > mxChartExport;
	UniReference< XMLPageExport > mxPageExport;
	UniReference< XMLFontAutoStylePool > mxFontAutoStylePool;
	UniReference< xmloff::OFormLayerXMLExport > mxFormExport;
	XMLEventExport* pEventExport;
	XMLImageMapExport* pImageMapExport;

	sal_Bool						bExtended;		

	const enum ::xmloff::token::XMLTokenEnum meClass;
	void _InitCtor();

	sal_uInt16	mnExportFlags;

public:

	const ::rtl::OUString				sCDATA;			
	const ::rtl::OUString				sWS;			

private:

	void ImplExportMeta();							
	void ImplExportSettings();						
	void ImplExportStyles( sal_Bool bUsed );		
	void ImplExportAutoStyles( sal_Bool bUsed );	
	void ImplExportMasterStyles( sal_Bool bUsed );	
	void ImplExportContent();						
	virtual void SetBodyAttributes();

protected:
	void setExportFlags( sal_uInt16 nExportFlags ) { mnExportFlags = nExportFlags; }

	SvXMLNamespaceMap& _GetNamespaceMap() { return *pNamespaceMap; }

	virtual void _ExportMeta();

	virtual void _ExportViewSettings(const XMLSettingsExportHelper& rSettingsExportHelper);

	virtual void _ExportConfigurationSettings(const XMLSettingsExportHelper& rSettingsExportHelper);

	virtual void _ExportScripts();

	virtual void _ExportFontDecls();

	virtual void _ExportStyles( sal_Bool bUsed ) ;

	virtual void _ExportAutoStyles() = 0;

	virtual void _ExportMasterStyles() = 0;

	virtual void _ExportContent() = 0;

	void SetExtended( sal_Bool bSet=sal_True ) { bExtended = bSet; }

	sal_Bool bSaveLinkedSections;

	virtual XMLTextParagraphExport* CreateTextParagraphExport();
	virtual XMLShapeExport* CreateShapeExport();
	virtual SvXMLAutoStylePoolP* CreateAutoStylePool();
	virtual SchXMLExportHelper* CreateChartExport();
	virtual XMLPageExport* CreatePageExport();
	virtual XMLFontAutoStylePool* CreateFontAutoStylePool();
	virtual xmloff::OFormLayerXMLExport* CreateFormExport();
	virtual void GetViewSettings(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>& aProps);
	virtual void GetConfigurationSettings(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>& aProps);

	void SetGraphicResolver( com::sun::star::uno::Reference< com::sun::star::document::XGraphicObjectResolver >& _xGraphicResolver );
public:

	SvXMLExport( MapUnit eDfltUnit, 
	             const enum ::xmloff::token::XMLTokenEnum eClass = xmloff::token::XML_TOKEN_INVALID,
	             sal_uInt16 nExportFlag = EXPORT_ALL );

	SvXMLExport( const ::rtl::OUString& rFileName,
	 const ::com::sun::star::uno::Reference<
	 	::com::sun::star::xml::sax::XDocumentHandler > & rHandler,
	 	 MapUnit eDfltUnit = MAP_INCH );
	SvXMLExport( const ::rtl::OUString& rFileName,
	 const ::com::sun::star::uno::Reference<
	 	::com::sun::star::xml::sax::XDocumentHandler > & rHandler,
	 const ::com::sun::star::uno::Reference<
		::com::sun::star::frame::XModel > &,
	 	 sal_Int16 eDfltUnit );
	SvXMLExport( const ::rtl::OUString& rFileName,
	 const ::com::sun::star::uno::Reference<
	 	::com::sun::star::xml::sax::XDocumentHandler > & rHandler,
	 const ::com::sun::star::uno::Reference<
		::com::sun::star::frame::XModel > &,
	 const ::com::sun::star::uno::Reference<
		::com::sun::star::document::XGraphicObjectResolver > &,
	 	 sal_Int16 eDfltUnit );
	virtual ~SvXMLExport();

	static const ::com::sun::star::uno::Sequence< sal_Int8 > & getUnoTunnelId() throw();
	static SvXMLExport* getImplementation( ::com::sun::star::uno::Reference< ::com::sun::star::uno::XInterface > ) throw();

	virtual void SAL_CALL setSourceDocument( const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XComponent >& xDoc ) throw(::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::uno::RuntimeException);
	 virtual sal_Bool SAL_CALL filter( const ::com::sun::star::uno::Sequence< ::com::sun::star::beans::PropertyValue >& aDescriptor ) throw(::com::sun::star::uno::RuntimeException);
	virtual void SAL_CALL cancel() throw(::com::sun::star::uno::RuntimeException);
	 virtual void SAL_CALL initialize( const ::com::sun::star::uno::Sequence< ::com::sun::star::uno::Any >& aArguments ) throw(::com::sun::star::uno::Exception, ::com::sun::star::uno::RuntimeException);
	 virtual ::rtl::OUString SAL_CALL getImplementationName(  ) throw(::com::sun::star::uno::RuntimeException);
	virtual sal_Bool SAL_CALL supportsService( const ::rtl::OUString& ServiceName ) throw(::com::sun::star::uno::RuntimeException);
	virtual ::com::sun::star::uno::Sequence< ::rtl::OUString > SAL_CALL getSupportedServiceNames(  ) throw(::com::sun::star::uno::RuntimeException);
	 virtual sal_Int64 SAL_CALL getSomething( const ::com::sun::star::uno::Sequence< sal_Int8 >& aIdentifier ) throw(::com::sun::star::uno::RuntimeException);

#ifdef PRODUCT
	void CheckAttrList() {}
#else
	void CheckAttrList();
#endif

	void ClearAttrList();

	void AddAttributeASCII( sal_uInt16 nPrefix, const sal_Char *pName,
				const sal_Char *pValue );
	void AddAttribute( sal_uInt16 nPrefix, const sal_Char *pName,
		   const ::rtl::OUString& rValue );
	void AddAttribute( sal_uInt16 nPrefix, const ::rtl::OUString& rName,
		   const ::rtl::OUString& rValue );
	void AddAttribute( sal_uInt16 nPrefix,
	                   enum ::xmloff::token::XMLTokenEnum eName,
		   const ::rtl::OUString& rValue );
	void AddAttribute( sal_uInt16 nPrefix,
	                   enum ::xmloff::token::XMLTokenEnum eName,
		   enum ::xmloff::token::XMLTokenEnum eValue );

	void AddAttributeList( const ::com::sun::star::uno::Reference<
			   	   ::com::sun::star::xml::sax::XAttributeList >& xAttrList );

	SvXMLAttributeList &GetAttrList() { return *pAttrList; }
	const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList > & GetXAttrList() { return xAttrList; }

	const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XDocumentHandler > & GetDocHandler() { return xHandler; }
	const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XExtendedDocumentHandler > & GetExtDocHandler()
	{
		return xExtHandler;
	}

	const ::rtl::OUString& GetOrigFileName() const { return sOrigFileName; }

	const ::rtl::OUString& GetPicturesPath() const { return sPicturesPath; }

	const ::rtl::OUString& GetObjectsPath() const { return sObjectsPath; }

	const SvXMLNamespaceMap& GetNamespaceMap() const { return *pNamespaceMap; }

	const SvXMLUnitConverter& GetMM100UnitConverter() const { return *pUnitConv; }

	SvXMLUnitConverter& GetMM100UnitConverter() { return *pUnitConv; }

	virtual sal_uInt32 exportDoc( enum ::xmloff::token::XMLTokenEnum eClass = ::xmloff::token::XML_TOKEN_INVALID );

	virtual void addDataStyle(const sal_Int32 nNumberFormat, sal_Bool bTimeFormat = sal_False );
	virtual void exportDataStyles();
	virtual void exportAutoDataStyles();
	virtual rtl::OUString getDataStyleName(const sal_Int32 nNumberFormat, sal_Bool bTimeFormat = sal_False ) const;

	const ::com::sun::star::uno::Reference< ::com::sun::star::frame::XModel > &
			GetModel() const { return xModel; }

	::com::sun::star::uno::Reference< ::com::sun::star::util::XNumberFormatsSupplier > & GetNumberFormatsSupplier() { return xNumberFormatsSupplier; }

	inline UniReference< XMLTextParagraphExport > GetTextParagraphExport();

	inline UniReference< XMLShapeExport > GetShapeExport();

	inline UniReference< SvXMLAutoStylePoolP > GetAutoStylePool();

	inline UniReference< XMLPageExport > GetPageExport();

	inline UniReference< SchXMLExportHelper > GetChartExport();

	inline UniReference< XMLFontAutoStylePool > GetFontAutoStylePool();

	ProgressBarHelper*	GetProgressBarHelper();

	inline UniReference< xmloff::OFormLayerXMLExport > GetFormExport();

	inline ::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertySet > getExportInfo() const { return xExportInfo; }

	com::sun::star::uno::Reference< com::sun::star::task::XStatusIndicator > GetStatusIndicator() { return xStatusIndicator; }

	XMLEventExport& GetEventExport();

	XMLImageMapExport& GetImageMapExport();

	::rtl::OUString AddEmbeddedGraphicObject(
				const ::rtl::OUString& rGraphicObjectURL );
	sal_Bool AddEmbeddedGraphicObjectAsBase64(
	                        const ::rtl::OUString& rGraphicObjectURL );
	 ::rtl::OUString AddEmbeddedObject(
				const ::rtl::OUString& rEmbeddedObjectURL );
	sal_Bool AddEmbeddedObjectAsBase64(
				const ::rtl::OUString& rEmbeddedObjectURL );

	inline sal_Bool IsSaveLinkedSections() { return bSaveLinkedSections; }

	sal_uInt16 getExportFlags() const { return mnExportFlags; }

	sal_Bool ExportEmbeddedOwnObject(
		::com::sun::star::uno::Reference<
			::com::sun::star::lang::XComponent >& rComp );

	rtl::OUString GetRelativeReference(const rtl::OUString& rValue);
};

inline UniReference< XMLTextParagraphExport > SvXMLExport::GetTextParagraphExport()
{
	if( !mxTextParagraphExport.is() )
		mxTextParagraphExport = CreateTextParagraphExport();

	return mxTextParagraphExport;
}

inline UniReference< XMLShapeExport > SvXMLExport::GetShapeExport()
{
	if( !mxShapeExport.is() )
		mxShapeExport = CreateShapeExport();

	return mxShapeExport;
}

inline UniReference< SvXMLAutoStylePoolP > SvXMLExport::GetAutoStylePool()
{
	if( !mxAutoStylePool.is() )
		mxAutoStylePool = CreateAutoStylePool();

	return mxAutoStylePool;
}

inline UniReference< SchXMLExportHelper > SvXMLExport::GetChartExport()
{
	if( !mxChartExport.is() )
		mxChartExport = CreateChartExport();

	return mxChartExport;
}

inline UniReference< XMLPageExport > SvXMLExport::GetPageExport()
{
	if( !mxPageExport.is() )
		mxPageExport = CreatePageExport();

	return mxPageExport;
}

inline UniReference< XMLFontAutoStylePool > SvXMLExport::GetFontAutoStylePool()
{
	if( !mxFontAutoStylePool.is() )
		mxFontAutoStylePool = CreateFontAutoStylePool();

	return mxFontAutoStylePool;
}

inline UniReference< xmloff::OFormLayerXMLExport > SvXMLExport::GetFormExport()
{
	if( !mxFormExport.is() )
		mxFormExport = CreateFormExport();

	return mxFormExport;
}

inline void SvXMLExport::SetGraphicResolver(
	com::sun::star::uno::Reference< com::sun::star::document::XGraphicObjectResolver >& _xGraphicResolver )
{
	xGraphicResolver = _xGraphicResolver;
}

class SvXMLElementExport
{
	SvXMLExport& rExport;
	::rtl::OUString aName;
	sal_Bool bIgnWS : 1;
	sal_Bool bDoSomething : 1;

	void StartElement( SvXMLExport& rExp, sal_uInt16 nPrefix,
		   const ::rtl::OUString& rName,
		   sal_Bool bIgnWSOutside );

public:

	SvXMLElementExport( SvXMLExport& rExp, sal_uInt16 nPrefix,
			const sal_Char *pName,
		    sal_Bool bIgnWSOutside, sal_Bool bIgnWSInside );
	SvXMLElementExport( SvXMLExport& rExp, sal_uInt16 nPrefix,
			const ::rtl::OUString& rName,
		    sal_Bool bIgnWSOutside, sal_Bool bIgnWSInside );
	SvXMLElementExport( SvXMLExport& rExp, sal_uInt16 nPrefix,
	                    enum ::xmloff::token::XMLTokenEnum eName,
		    sal_Bool bIgnWSOutside, sal_Bool bIgnWSInside );

	SvXMLElementExport( SvXMLExport& rExp, sal_Bool bDoSomething,
			sal_uInt16 nPrefix, const sal_Char *pName,
		    sal_Bool bIgnWSOutside, sal_Bool bIgnWSInside );
	SvXMLElementExport( SvXMLExport& rExp, sal_Bool bDoSomething,
			sal_uInt16 nPrefix, const ::rtl::OUString& rName,
		    sal_Bool bIgnWSOutside, sal_Bool bIgnWSInside );
	SvXMLElementExport( SvXMLExport& rExp, sal_Bool bDoSomething,
	                    sal_uInt16 nPrefix,
	                    enum ::xmloff::token::XMLTokenEnum eName,
		    sal_Bool bIgnWSOutside, sal_Bool bIgnWSInside );

	~SvXMLElementExport();
};

#endif	

