

#ifndef _XMLOFF_XMLSCRIPTI_HXX
#define _XMLOFF_XMLSCRIPTI_HXX

#ifndef _XMLOFF_XMLICTXT_HXX
#include <xmloff/xmlictxt.hxx>
#endif

#ifndef _RTL_USTRBUF_HXX_
#include <rtl/ustrbuf.hxx>
#endif

#ifndef _COM_SUN_STAR_DOCUMENT_XDOCUMENTINFO_HPP_
#include <com/sun/star/document/XDocumentInfo.hpp>
#endif
#ifndef _COM_SUN_STAR_BEANS_XPROPERTYSET_HPP_
#include <com/sun/star/beans/XPropertySet.hpp>
#endif

class SvXMLTokenMap;

namespace com { namespace sun { namespace star { namespace frame {
	class XModel;
}}}}

namespace com { namespace sun { namespace star { namespace script {
	class XStarBasicAccess;
}}}}

class XMLScriptContext : public SvXMLImportContext
{
private:
	::com::sun::star::uno::Reference<
		::com::sun::star::script::XStarBasicAccess>		mxBasicAccess;

public:
	XMLScriptContext( SvXMLImport& rImport, sal_uInt16 nPrfx,
			const ::rtl::OUString& rLName,
			const ::com::sun::star::uno::Reference<
				::com::sun::star::frame::XModel>& rDocModel );
	virtual ~XMLScriptContext();

	virtual SvXMLImportContext *CreateChildContext( sal_uInt16 nPrefix,
	const ::rtl::OUString& rLocalName,
	const ::com::sun::star::uno::Reference<
		::com::sun::star::xml::sax::XAttributeList>& xAttrList );

	virtual void EndElement();

	::com::sun::star::uno::Reference<
		::com::sun::star::script::XStarBasicAccess> getBasicAccess()
			{ return mxBasicAccess; }
};

#endif 

