

#ifndef _XMLOFF_XMLTABE_HXX
#define _XMLOFF_XMLTABE_HXX

#ifndef _RTL_USTRING_HXX_
#include <rtl/ustring.hxx>
#endif
#ifndef _VCL_MAPUNIT_HXX
#include <vcl/mapunit.hxx>
#endif

#ifndef _XMLOFF_ATTRLIST_HXX
#include <xmloff/attrlist.hxx>
#endif

#ifndef _XMLOFF_XMLTOKEN_HXX
#include <xmloff/xmltoken.hxx>
#endif

class SvXMLNamespaceMap;
class SvXMLUnitConverter;

#ifndef _COM_SUN_STAR_STYLE_TABSTOP_HPP_
#include <com/sun/star/style/TabStop.hpp>
#endif

class SvxXMLTabStopExport
{
	const ::rtl::OUString msCDATA;
	const ::rtl::OUString msWS;

	::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XDocumentHandler > 			mxHandler;		

	SvXMLAttributeList			*mpAttrList;		
	::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList > 			mxAttrList;		

	const SvXMLNamespaceMap		*mpNamespaceMap;	
	const SvXMLUnitConverter&	mrUnitConv;

protected:

#ifdef PRODUCT
	void CheckAttrList() {}
#else
	void CheckAttrList();
#endif
	void ClearAttrList();
	void AddAttribute( sal_uInt16 nPrefixKey, 
	                   enum ::xmloff::token::XMLTokenEnum eName,
		   const ::rtl::OUString& rValue );
	::rtl::OUString GetQNameByKey( sal_uInt16 nKey,
				const ::rtl::OUString& rLocalName ) const;

	void exportTabStop( const ::com::sun::star::style::TabStop* pTabStop );

public:

	SvxXMLTabStopExport(  const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XDocumentHandler > & rHandler,
			  const SvXMLUnitConverter& rUnitConverter );
	virtual ~SvxXMLTabStopExport();

	void Export( const ::com::sun::star::uno::Any& rAny, const SvXMLNamespaceMap& rNamespMap );
};

#endif	

