

#ifndef _XMLOFF_XMLTABI_HXX
#define _XMLOFF_XMLTABI_HXX

#ifndef _XMLOFF_XMLELEMENTPROPERTYCONTEXT_HXX
#include "XMLElementPropertyContext.hxx"
#endif

class SvxXMLTabStopArray_Impl;
class SvXMLImport;

namespace rtl
{
	class OUString;
}

class SvxXMLTabStopImportContext : public XMLElementPropertyContext
{
private:
	SvxXMLTabStopArray_Impl*	mpTabStops;

public:
	TYPEINFO();

	SvxXMLTabStopImportContext( SvXMLImport& rImport, sal_uInt16 nPrfx,
					const ::rtl::OUString& rLName,
					const XMLPropertyState& rProp,
	 				::std::vector< XMLPropertyState > &rProps );

	virtual ~SvxXMLTabStopImportContext();

	virtual SvXMLImportContext *CreateChildContext( sal_uInt16 nPrefix,
					   const ::rtl::OUString& rLocalName,
					   const ::com::sun::star::uno::Reference< ::com::sun::star::xml::sax::XAttributeList > & xAttrList );

	virtual void EndElement();
};

#endif	

